"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var Dialog_1 = require("./Dialog");
var Button_1 = require("./Button");
var Providers_1 = require("./Theme/Providers");
var Text_1 = require("./Text");
var use_uid_1 = require("./Hooks/use-uid");
exports.AlertDialog = function (_a) {
    var isOpen = _a.isOpen, title = _a.title, subtitle = _a.subtitle, _b = _a.confirmLabel, confirmLabel = _b === void 0 ? "Confirm" : _b, onConfirm = _a.onConfirm, _c = _a.intent, intent = _c === void 0 ? "danger" : _c, onCancel = _a.onCancel, onClose = _a.onClose;
    var theme = Providers_1.useTheme();
    var id = use_uid_1.useUid();
    var cancel = React.useCallback(function () {
        if (onCancel)
            onCancel();
        onClose();
    }, [onCancel, onClose]);
    var confirm = React.useCallback(function () {
        onConfirm();
        onClose();
    }, [onConfirm]);
    return (core_1.jsx(Dialog_1.Dialog, { role: "alertdialog", "aria-labelledby": id, onRequestClose: cancel, isOpen: isOpen },
        core_1.jsx("div", { css: { padding: "1.5rem" } },
            core_1.jsx(Text_1.Text, { id: id, variant: "h5" }, title),
            subtitle && core_1.jsx(Text_1.Text, null, subtitle),
            core_1.jsx("div", { css: {
                    marginTop: theme.spaces.md,
                    display: "flex",
                    justifyContent: "flex-end"
                } },
                core_1.jsx(Button_1.Button, { autoFocus: true, onPress: cancel, variant: "ghost" }, "Cancel"),
                core_1.jsx(Button_1.Button, { onPress: confirm, css: { marginLeft: theme.spaces.sm }, intent: intent }, confirmLabel)))));
};
