"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var Text_1 = require("./Text");
var prop_types_1 = tslib_1.__importDefault(require("prop-types"));
var Providers_1 = require("./Theme/Providers");
/**
 * Use a badge to indicate a count in a menu, such as unread messages.
 */
exports.Badge = function (_a) {
    var children = _a.children, other = tslib_1.__rest(_a, ["children"]);
    var theme = Providers_1.useTheme();
    return (core_1.jsx(Text_1.Text, tslib_1.__assign({ variant: "body", component: "span", css: {
            color: "white",
            fontSize: "calc(" + theme.fontSizes[0] + " - 0.15rem)",
            fontWeight: "bold",
            display: "inline-block",
            borderRadius: "32px",
            minWidth: "19px",
            textAlign: "center",
            textTransform: "uppercase",
            padding: "1px 6px",
            background: theme.colors.palette.blue.base
        } }, other), children));
};
exports.Badge.propTypes = {
    children: prop_types_1.default.node
};
