"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var prop_types_1 = tslib_1.__importDefault(require("prop-types"));
var Providers_1 = require("./Theme/Providers");
exports.useResponsiveContainerPadding = function () {
    var _a;
    var theme = Providers_1.useTheme();
    return core_1.css((_a = {
            padding: "0 " + theme.spaces.md
        },
        _a[theme.mediaQueries.lg] = {
            padding: "0 " + theme.spaces.lg
        },
        _a));
};
exports.Container = function (props) {
    var responsiveContainerPadding = exports.useResponsiveContainerPadding();
    return (core_1.jsx("div", tslib_1.__assign({ css: [
            {
                width: "100%",
                maxWidth: "1200px",
                boxSizing: "border-box",
                margin: "0 auto"
            },
            responsiveContainerPadding
        ] }, props)));
};
exports.Container.propTypes = {
    children: prop_types_1.default.node
};
function NegativeMarginsContainer(props) {
    var _a;
    var theme = Providers_1.useTheme();
    return (core_1.jsx("div", tslib_1.__assign({ css: (_a = {
                marginLeft: "-" + theme.spaces.md,
                marginRight: "-" + theme.spaces.md
            },
            _a[theme.mediaQueries.lg] = {
                marginLeft: "-" + theme.spaces.lg,
                marginRight: "-" + theme.spaces.lg
            },
            _a) }, props)));
}
exports.NegativeMarginsContainer = NegativeMarginsContainer;
