"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var prop_types_1 = tslib_1.__importDefault(require("prop-types"));
function getEmbedStyles(width, height) {
    var percentage = (height / width) * 100;
    return core_1.css(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n    position: relative;\n    display: block;\n    width: 100%;\n    padding: 0;\n    & > * {\n      position: absolute;\n      top: 0;\n      bottom: 0;\n      left: 0;\n      width: 100%;\n      height: 100%;\n      border: 0;\n    }\n    ::before {\n      display: block;\n      content: \"\";\n      padding-top: ", "%;\n    }\n  "], ["\n    position: relative;\n    display: block;\n    width: 100%;\n    padding: 0;\n    & > * {\n      position: absolute;\n      top: 0;\n      bottom: 0;\n      left: 0;\n      width: 100%;\n      height: 100%;\n      border: 0;\n    }\n    ::before {\n      display: block;\n      content: \"\";\n      padding-top: ", "%;\n    }\n  "])), percentage);
}
exports.getEmbedStyles = getEmbedStyles;
/**
 * The Embed component maintains the provided aspect ratio determined
 * by the width and height props. It's useful for avoiding content shifting on image
 * loading.
 */
exports.Embed = function (_a) {
    var _b = _a.width, width = _b === void 0 ? 4 : _b, _c = _a.height, height = _c === void 0 ? 3 : _c, other = tslib_1.__rest(_a, ["width", "height"]);
    return core_1.jsx("div", tslib_1.__assign({ css: getEmbedStyles(width, height) }, other));
};
exports.Embed.propTypes = {
    width: prop_types_1.default.number,
    height: prop_types_1.default.number
};
var templateObject_1;
