"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var Alert_1 = require("./Alert");
var prop_types_1 = tslib_1.__importDefault(require("prop-types"));
var ErrorBoundary = /** @class */ (function (_super) {
    tslib_1.__extends(ErrorBoundary, _super);
    function ErrorBoundary() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            error: null
        };
        return _this;
    }
    ErrorBoundary.prototype.componentDidCatch = function (error) {
        this.setState({ error: error });
    };
    ErrorBoundary.prototype.render = function () {
        if (this.state.error) {
            //render error message
            return (core_1.jsx("div", { css: { padding: "1rem" } },
                core_1.jsx(Alert_1.Alert, { type: "assertive", intent: "danger", title: this.props.title, subtitle: this.props.subtitle })));
        }
        else {
            //when there's not an error, render children untouched
            return this.props.children;
        }
    };
    ErrorBoundary.propTypes = {
        title: prop_types_1.default.string,
        subtitle: prop_types_1.default.string,
        children: prop_types_1.default.node
    };
    ErrorBoundary.defaultProps = {
        title: "An unexpected error has occurred.",
        subtitle: "Please try reloading. If the problem persists, please contact us for help."
    };
    return ErrorBoundary;
}(React.Component));
exports.ErrorBoundary = ErrorBoundary;
