"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var focus_trap_1 = tslib_1.__importDefault(require("focus-trap"));
function useFocusElement(elementRef, showing, options) {
    if (options === void 0) { options = {}; }
    var trapRef = React.useRef(null);
    var focusElement = React.useCallback(function () {
        if (!elementRef.current) {
            console.error("No element found to found");
            return;
        }
        var trap = focus_trap_1.default(elementRef.current, tslib_1.__assign({ escapeDeactivates: false, clickOutsideDeactivates: true, fallbackFocus: '[tabindex="-1"]' }, options));
        trapRef.current = trap;
        trap.activate();
    }, [elementRef, options]);
    function focusTrigger() {
        if (!trapRef.current) {
            return;
        }
        trapRef.current.deactivate();
    }
    React.useEffect(function () {
        if (showing)
            focusElement();
        else
            focusTrigger();
    }, [showing, focusElement]);
    return {
        focusElement: focusElement,
        focusTrigger: focusTrigger
    };
}
exports.useFocusElement = useFocusElement;
