"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var canUseDOM = !!(typeof window !== "undefined" &&
    window.document &&
    window.document.createElement);
var isEnabled = false;
var HOVER_THRESHOLD_MS = 1000;
var lastTouchTimestamp = 0;
function enableHover() {
    if (isEnabled || Date.now() - lastTouchTimestamp < HOVER_THRESHOLD_MS) {
        return;
    }
    isEnabled = true;
}
function disableHover() {
    lastTouchTimestamp = Date.now();
    if (isEnabled) {
        isEnabled = false;
    }
}
if (canUseDOM) {
    document.addEventListener("touchstart", disableHover, true);
    document.addEventListener("touchmove", disableHover, true);
    document.addEventListener("mousemove", enableHover, true);
}
function isHoverEnabled() {
    return isEnabled;
}
exports.isHoverEnabled = isHoverEnabled;
