"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function getSize() {
    if (typeof window === "undefined") {
        return {};
    }
    return {
        innerHeight: window.innerHeight,
        innerWidth: window.innerWidth,
        outerHeight: window.outerHeight,
        outerWidth: window.outerWidth
    };
}
function useWindowSize() {
    var _a = react_1.useState(getSize()), windowSize = _a[0], setWindowSize = _a[1];
    function handleResize() {
        setWindowSize(getSize());
    }
    react_1.useEffect(function () {
        window.addEventListener("resize", handleResize);
        return function () {
            window.removeEventListener("resize", handleResize);
        };
    }, []);
    return windowSize;
}
exports.useWindowSize = useWindowSize;
