"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var Button_1 = require("./Button");
var visually_hidden_1 = tslib_1.__importDefault(require("@reach/visually-hidden"));
var prop_types_1 = tslib_1.__importDefault(require("prop-types"));
var IconWrapper_1 = require("./IconWrapper");
var Icons_1 = require("./Icons");
/**
 * A component which composes Button and Icon to provide
 * interactive icon elements.
 */
exports.IconButton = React.forwardRef(function (_a, ref) {
    var label = _a.label, _b = _a.size, size = _b === void 0 ? "md" : _b, icon = _a.icon, onPress = _a.onPress, _c = _a.color, color = _c === void 0 ? "currentColor" : _c, other = tslib_1.__rest(_a, ["label", "size", "icon", "onPress", "color"]);
    return (core_1.jsx(Button_1.Button, tslib_1.__assign({ ref: ref, size: size, css: {
            padding: 0,
            width: Button_1.getHeight(size)
        }, onPress: onPress }, other),
        core_1.jsx(visually_hidden_1.default, null, label),
        core_1.jsx(IconWrapper_1.IconWrapper, { color: color, size: size }, icon)));
});
exports.IconButton.displayName = "IconButton";
exports.IconButton.propTypes = {
    icon: prop_types_1.default.node.isRequired,
    color: prop_types_1.default.string,
    label: prop_types_1.default.string.isRequired,
    variant: prop_types_1.default.oneOf(["outline", "default", "ghost"]),
    size: prop_types_1.default.oneOf(["xs", "sm", "md", "lg", "xl"])
};
exports.CloseButton = function (_a) {
    var _b = _a.label, label = _b === void 0 ? "Close" : _b, other = tslib_1.__rest(_a, ["label"]);
    return (core_1.jsx(exports.IconButton, tslib_1.__assign({ variant: "ghost", label: label, icon: core_1.jsx(Icons_1.IconX, null) }, other)));
};
exports.CloseButton.propTypes = {
    label: prop_types_1.default.string,
    color: prop_types_1.default.string,
    variant: prop_types_1.default.oneOf(["outline", "default", "ghost"]),
    size: prop_types_1.default.oneOf(["xs", "sm", "md", "lg", "xl"])
};
