"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var prop_types_1 = tslib_1.__importDefault(require("prop-types"));
var Providers_1 = require("./Theme/Providers");
var getStyles = function (theme) { return ({
    fixed: core_1.css({
        position: "fixed",
        top: 0,
        left: 0,
        width: "100%",
        zIndex: theme.zIndices.fixed
    }),
    static: core_1.css({
        position: "static",
        boxShadow: "none"
    }),
    absolute: core_1.css({
        position: "absolute",
        top: 0,
        left: 0,
        width: "100%"
    }),
    sticky: core_1.css({
        position: "sticky",
        top: 0,
        zIndex: theme.zIndices.sticky
    })
}); };
/**
 * A Navbar is used to provide app based navigation. Typically
 * used in combination with a Toolbar.
 */
exports.Navbar = function (_a) {
    var _b = _a.position, position = _b === void 0 ? "fixed" : _b, children = _a.children, other = tslib_1.__rest(_a, ["position", "children"]);
    var theme = Providers_1.useTheme();
    var styles = React.useMemo(function () { return getStyles(theme); }, [theme]);
    return (core_1.jsx("nav", tslib_1.__assign({ css: [
            {
                background: theme.colors.background.default,
                zIndex: position === "fixed" ? theme.zIndices.fixed : undefined,
                boxShadow: theme.shadows.sm
            },
            styles[position]
        ] }, other), children));
};
exports.Navbar.propTypes = {
    position: prop_types_1.default.oneOf(["fixed", "static"]),
    children: prop_types_1.default.node
};
