"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var react_popper_1 = require("react-popper");
var Portal_1 = require("./Portal");
var react_spring_1 = require("react-spring");
var prop_types_1 = tslib_1.__importDefault(require("prop-types"));
exports.Positioner = function (_a) {
    var target = _a.target, positionFixed = _a.positionFixed, _b = _a.isOpen, isOpen = _b === void 0 ? true : _b, children = _a.children, placement = _a.placement;
    var transitions = react_spring_1.useTransition(isOpen, null, {
        from: { opacity: 1 },
        enter: { opacity: 1 },
        leave: { opacity: 0 },
        config: { mass: 1, tension: 185, friction: 26 }
    });
    return (core_1.jsx(react_popper_1.Manager, null,
        core_1.jsx(react_popper_1.Reference, null, target),
        transitions.map(function (_a) {
            var item = _a.item, key = _a.key, animatedProps = _a.props;
            return item && (core_1.jsx(Portal_1.Portal, { key: key },
                core_1.jsx(react_popper_1.Popper, { placement: placement, positionFixed: positionFixed }, function (props) { return children(props, animatedProps); })));
        })));
};
exports.Positioner.propTypes = {
    isOpen: prop_types_1.default.bool,
    placement: prop_types_1.default.oneOf([
        "auto-start",
        "auto",
        "auto-end",
        "top-start",
        "top",
        "top-end",
        "right-start",
        "right",
        "right-end",
        "bottom-end",
        "bottom",
        "bottom-start",
        "left-end",
        "left",
        "left-start"
    ]),
    positionFixed: prop_types_1.default.bool,
    target: prop_types_1.default.func,
    children: prop_types_1.default.func
};
