"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var react_gesture_stack_1 = require("react-gesture-stack");
var Text_1 = require("./Text");
var Button_1 = require("./Button");
var Icons_1 = require("./Icons");
var Providers_1 = require("./Theme/Providers");
function StackTitle(_a) {
    var title = _a.title, _b = _a.backTitle, backTitle = _b === void 0 ? "Back" : _b, other = tslib_1.__rest(_a, ["title", "backTitle"]);
    var _c = React.useContext(react_gesture_stack_1.StackContext), index = _c.index, changeIndex = _c.changeIndex;
    return (core_1.jsx(react_gesture_stack_1.StackTitle, tslib_1.__assign({ backButton: core_1.jsx(Button_1.Button, { variant: "ghost", onPress: function () { return changeIndex(index - 1); }, iconBefore: core_1.jsx(Icons_1.IconChevronLeft, null) }, backTitle), title: title ? (core_1.jsx(Text_1.Text, { gutter: false, variant: "h6" }, title)) : null }, other)));
}
exports.StackTitle = StackTitle;
function Stack(props) {
    var theme = Providers_1.useTheme();
    return (core_1.jsx(react_gesture_stack_1.Stack, tslib_1.__assign({ css: {
            ".Stack__nav": {
                background: theme.colors.background.tint1,
                boxShadow: theme.shadows.xs
            }
        } }, props)));
}
exports.Stack = Stack;
function StackItem(props) {
    var theme = Providers_1.useTheme();
    var dark = theme.colors.mode === "dark";
    function generateShadow(x) {
        return dark
            ? "rgba(0, 0, 0, " + x + ") 0px 0px 12px -2px"
            : "rgba(160, 160, 160, " + x + ") 0px 0px 12px -2px";
    }
    return (core_1.jsx(react_gesture_stack_1.StackItem, tslib_1.__assign({ generateShadow: generateShadow, style: {
            background: undefined
        }, css: {
            backgroundColor: theme.colors.background.default,
            "& .StackItem__overlay": {
                backgroundColor: theme.colors.background.tint1 + "!important"
            }
        } }, props)));
}
exports.StackItem = StackItem;
