"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var toasted_notes_1 = tslib_1.__importDefault(require("toasted-notes"));
var Alert_1 = require("./Alert");
var Providers_1 = require("./Theme/Providers");
var toastStyles = core_1.css(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  .Toaster__message-wrapper {\n    padding: 8px;\n    text-align: left;\n  }\n"], ["\n  .Toaster__message-wrapper {\n    padding: 8px;\n    text-align: left;\n  }\n"])));
/**
 * We export toast as a hook because it allows us to consume
 * the current theme context that it's in and pass that
 * onto our render function
 */
function useToast() {
    var theme = Providers_1.useTheme();
    function notify(_a) {
        var position = _a.position, duration = _a.duration, render = _a.render, title = _a.title, subtitle = _a.subtitle, intent = _a.intent;
        var options = {
            position: position,
            duration: duration
        };
        if (render) {
            return toasted_notes_1.default.notify(function (_a) {
                var onClose = _a.onClose, id = _a.id;
                return (core_1.jsx(React.Fragment, null,
                    core_1.jsx(core_1.Global, { styles: toastStyles }),
                    core_1.jsx(Providers_1.ThemeProvider, { theme: theme }, render({ onClose: onClose, id: id }))));
            }, options);
        }
        toasted_notes_1.default.notify(function (_a) {
            var onClose = _a.onClose, id = _a.id;
            return (core_1.jsx(React.Fragment, null,
                core_1.jsx(core_1.Global, { styles: toastStyles }),
                core_1.jsx(Providers_1.ThemeProvider, { theme: theme },
                    core_1.jsx(Alert_1.Alert, { id: String(id), title: title, component: "div", elevation: "md", subtitle: subtitle, intent: intent, onRequestClose: onClose }))));
        }, options);
    }
    return notify;
}
exports.useToast = useToast;
var templateObject_1;
