"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var prop_types_1 = tslib_1.__importDefault(require("prop-types"));
var Providers_1 = require("./Theme/Providers");
var MOBILE_HEIGHT = "56px";
var DESKTOP_HEIGHT = "64px";
exports.Toolbar = function (_a) {
    var _b;
    var compressed = _a.compressed, other = tslib_1.__rest(_a, ["compressed"]);
    var theme = Providers_1.useTheme();
    return (core_1.jsx("div", tslib_1.__assign({ css: [
            (_b = {
                    minHeight: MOBILE_HEIGHT,
                    display: "flex",
                    position: "relative",
                    alignItems: "center",
                    paddingLeft: theme.spaces.md,
                    paddingRight: theme.spaces.md
                },
                _b[theme.mediaQueries.md] = {
                    minHeight: DESKTOP_HEIGHT,
                    paddingLeft: theme.spaces.lg,
                    paddingRight: theme.spaces.lg
                },
                _b),
            compressed ? { minHeight: "48px !important" } : undefined
        ] }, other)));
};
exports.Toolbar.propTypes = {
    compressed: prop_types_1.default.bool,
    children: prop_types_1.default.node
};
exports.useResponsiveBodyPadding = function () {
    var _a;
    var theme = Providers_1.useTheme();
    return core_1.css((_a = {
            paddingTop: MOBILE_HEIGHT
        },
        _a[theme.mediaQueries.md] = {
            paddingTop: DESKTOP_HEIGHT
        },
        _a));
};
