"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var touchable_hook_1 = require("touchable-hook");
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var compose_bind_1 = require("./Hooks/compose-bind");
exports.Touchable = React.forwardRef(function (_a, ref) {
    var children = _a.children, _b = _a.className, className = _b === void 0 ? "" : _b, delay = _a.delay, pressExpandPx = _a.pressExpandPx, _c = _a.terminateOnScroll, terminateOnScroll = _c === void 0 ? true : _c, _d = _a.component, Component = _d === void 0 ? "button" : _d, onPress = _a.onPress, _e = _a.disabled, disabled = _e === void 0 ? false : _e, other = tslib_1.__rest(_a, ["children", "className", "delay", "pressExpandPx", "terminateOnScroll", "component", "onPress", "disabled"]);
    var isLink = other.to || other.href;
    var _f = touchable_hook_1.useTouchable({
        onPress: onPress,
        disabled: disabled,
        delay: delay,
        terminateOnScroll: terminateOnScroll,
        pressExpandPx: pressExpandPx,
        behavior: isLink ? "link" : "button"
    }), bind = _f.bind, hover = _f.hover, active = _f.active;
    return (core_1.jsx(Component, tslib_1.__assign({ className: classnames_1.default("Touchable", className, {
            "Touchable--hover": hover,
            "Touchable--active": active
        }) }, compose_bind_1.safeBind({ ref: ref }, bind, other)), children));
});
