"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var Button_1 = require("../Button");
var react_1 = require("@storybook/react");
var Theme_1 = tslib_1.__importDefault(require("../Theme"));
var Providers_1 = require("../Theme/Providers");
var Icons_1 = require("../Icons");
exports.ButtonStories = react_1.storiesOf("Button", module)
    .add("variants", function () {
    var sizes = ["xs", "sm", "md", "lg", "xl"];
    var appearance = ["default", "ghost", "outline"];
    var intents = [
        "none",
        "primary",
        "success",
        "danger",
        "warning"
    ];
    return (core_1.jsx("div", null, appearance.map(function (appearance) { return (core_1.jsx("div", { key: appearance }, sizes.map(function (size) { return (core_1.jsx("div", { key: size, style: { padding: "0.5rem" } }, intents.map(function (intent) { return (core_1.jsx(Button_1.Button, { key: size + appearance, size: size, css: { marginRight: "1rem", textTransform: "capitalize" }, variant: appearance, intent: intent, onPress: function () { return console.log("hello there"); } }, intent)); }))); }))); })));
})
    .add("disabled", function () {
    var variants = ["default", "ghost", "outline"];
    var intents = [
        "none",
        "primary",
        "success",
        "danger",
        "warning"
    ];
    return (core_1.jsx("div", null, variants.map(function (variant) {
        return (core_1.jsx("div", { key: variant }, intents.map(function (intent) { return (core_1.jsx(Button_1.Button, { key: intent, css: { margin: "1rem" }, intent: intent, disabled: true, variant: variant }, intent)); })));
    })));
})
    .add("with icons", function () { return (core_1.jsx("div", { css: {
        "& > *": {
            margin: Theme_1.default.spaces.md
        }
    } },
    core_1.jsx(Button_1.Button, { iconBefore: core_1.jsx(Icons_1.IconArrowLeft, null) }, "Icon before"),
    core_1.jsx(Button_1.Button, { iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "Icon after"),
    core_1.jsx(Button_1.Button, { iconBefore: core_1.jsx(Icons_1.IconArrowLeft, null), iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "Icon before and after"),
    core_1.jsx(Button_1.Button, { iconAfter: core_1.jsx(Icons_1.IconArrowRight, null), intent: "primary" }, "Icon after"),
    core_1.jsx(Button_1.Button, { component: "a", href: "#", iconAfter: core_1.jsx(Icons_1.IconArrowRight, null), intent: "primary" }, "Icon after anchor"),
    core_1.jsx(Button_1.Button, { iconAfter: core_1.jsx(Icons_1.IconArrowRight, null), intent: "primary", variant: "outline" }, "Icon after"),
    core_1.jsx(Button_1.Button, { iconAfter: core_1.jsx(Icons_1.IconArrowRight, null), intent: "primary", variant: "ghost" }, "Icon after"),
    ["xs", "sm", "md", "lg", "xl"].map(function (size) {
        return (core_1.jsx(Button_1.Button, { key: size, size: size, iconAfter: core_1.jsx(Icons_1.IconArrowRight, null), intent: "primary", variant: "outline" }, "Icon after"));
    }))); })
    .add("block", function () {
    return (core_1.jsx("div", { css: {
            margin: "1rem",
            "& > *": {
                maxWidth: "300px",
                marginTop: Theme_1.default.spaces.md
            }
        } },
        core_1.jsx(Button_1.Button, { block: true }, "Hello"),
        core_1.jsx(Button_1.Button, { block: true, iconBefore: core_1.jsx(Icons_1.IconArrowRight, null) }, "with icon before"),
        core_1.jsx(Button_1.Button, { block: true, iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "With icon after"),
        core_1.jsx(Button_1.Button, { block: true, iconBefore: core_1.jsx(Icons_1.IconArrowRight, null), iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "Two icons"),
        core_1.jsx(Button_1.Button, { component: "a", href: "@", block: true, iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "Anchor icon after")));
})
    .add("contrast checks", function () {
    return core_1.jsx(ContrastExample, null);
});
function ContrastExample() {
    var theme = Providers_1.useTheme();
    return (core_1.jsx(Providers_1.DarkMode, null,
        core_1.jsx(React.Fragment, null,
            core_1.jsx("div", { css: {
                    padding: "2rem",
                    background: theme.colors.intent.none.base,
                    "& > *": { margin: "1rem" }
                } },
                core_1.jsx(Button_1.Button, null, "Hello world"),
                core_1.jsx(Button_1.Button, { intent: "primary" }, "Primary"),
                core_1.jsx(Button_1.Button, { intent: "success" }, "Success"),
                core_1.jsx(Button_1.Button, { intent: "warning" }, "Warning"),
                core_1.jsx(Button_1.Button, { intent: "danger" }, "Warning")),
            core_1.jsx(Providers_1.LightMode, null,
                core_1.jsx("div", { css: {
                        padding: "2rem",
                        background: theme.colors.background.tint2,
                        "& > *": { margin: "1rem" }
                    } },
                    core_1.jsx(Button_1.Button, null, "Hello world"),
                    core_1.jsx(Button_1.Button, { intent: "primary" }, "Primary"),
                    core_1.jsx(Button_1.Button, { intent: "success" }, "Success"),
                    core_1.jsx(Button_1.Button, { intent: "warning" }, "Warning"),
                    core_1.jsx(Button_1.Button, { intent: "danger" }, "Warning"))),
            core_1.jsx("div", { css: {
                    padding: "2rem",
                    background: theme.colors.intent.primary.dark,
                    "& > *": { margin: "1rem" }
                } },
                core_1.jsx(Button_1.Button, null, "Hello world"),
                core_1.jsx(Button_1.Button, { intent: "primary" }, "Primary"),
                core_1.jsx(Button_1.Button, { intent: "success" }, "Success"),
                core_1.jsx(Button_1.Button, { intent: "warning" }, "Warning"),
                core_1.jsx(Button_1.Button, { intent: "danger" }, "Warning")))));
}
