"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var Form_1 = require("../Form");
var Button_1 = require("../Button");
var Theme_1 = tslib_1.__importDefault(require("../Theme"));
var Layer_1 = require("../Layer");
var react_1 = require("@storybook/react");
var Icons_1 = require("../Icons");
var IconButton_1 = require("../IconButton");
exports.FormStories = react_1.storiesOf("Forms", module)
    .add("input types", function () { return (core_1.jsx("div", { css: {
        display: "flex",
        justifyContent: "center",
        paddingTop: Theme_1.default.spaces.xl,
        paddingBottom: Theme_1.default.spaces.xl
    } },
    core_1.jsx(Layer_1.Layer, { css: { maxWidth: "400px", width: "100%" }, elevation: "lg" },
        core_1.jsx("form", { css: { padding: Theme_1.default.spaces.lg } },
            core_1.jsx(Form_1.InputGroup, { error: "Required field", label: "Email address" },
                core_1.jsx(Form_1.Input, { placeholder: "ben.mcmahen@gmail.com" })),
            core_1.jsx(Form_1.InputGroup, { label: "Gender" },
                core_1.jsx(Form_1.Select, null,
                    core_1.jsx("option", null, "Male"),
                    core_1.jsx("option", null, "Female"),
                    core_1.jsx("option", null, "Other"))),
            core_1.jsx(Form_1.InputGroup, { label: "Gender" },
                core_1.jsx("div", null,
                    core_1.jsx(Form_1.Check, { label: "Male", checked: true }),
                    core_1.jsx(Form_1.Check, { label: "Female" }),
                    core_1.jsx(Form_1.Check, { label: "Other" }))),
            core_1.jsx(Form_1.InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                core_1.jsx(Form_1.TextArea, { placeholder: "Something about me" })),
            core_1.jsx("div", { css: { textAlign: "right", marginTop: "" + Theme_1.default.spaces.md } },
                core_1.jsx(Button_1.Button, { intent: "primary" }, "Submit")))))); })
    .add("sizes", function () {
    return (core_1.jsx("div", { css: {
            margin: "2rem",
            width: "800px",
            "& > div": {
                padding: "1rem",
                "& > *": {
                    margin: "1rem"
                }
            }
        } },
        core_1.jsx("div", null,
            core_1.jsx(Form_1.Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "sm" }),
            core_1.jsx(Button_1.Button, { size: "sm" }, "Small"),
            core_1.jsx(Button_1.Button, { component: "a", href: "#", size: "sm" }, "Small"),
            core_1.jsx(Button_1.Button, { component: "a", href: "#", size: "sm", iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "Small")),
        core_1.jsx("div", { css: { display: "flex", alignItems: "cente" } },
            core_1.jsx(Form_1.Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "md" }),
            core_1.jsx(Button_1.Button, { size: "md" }, "Medium"),
            core_1.jsx(Button_1.Button, { component: "a", href: "#", size: "md" }, "Medium"),
            core_1.jsx(Button_1.Button, { component: "a", href: "#", size: "md", iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "Medium"),
            core_1.jsx(IconButton_1.IconButton, { icon: core_1.jsx(Icons_1.IconAlignCenter, null), label: "Align center" })),
        core_1.jsx("div", null,
            core_1.jsx(Form_1.Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "lg" }),
            core_1.jsx(Button_1.Button, { size: "lg" }, "Large"),
            core_1.jsx(Button_1.Button, { component: "a", href: "#", size: "lg" }, "Large"),
            core_1.jsx(Button_1.Button, { component: "a", href: "#", size: "lg", iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "Large")),
        core_1.jsx("div", null)));
})
    .add("disabled states", function () { return (core_1.jsx("div", { css: {
        display: "flex",
        justifyContent: "center",
        paddingTop: Theme_1.default.spaces.xl,
        paddingBottom: Theme_1.default.spaces.xl
    } },
    core_1.jsx("div", { css: { overflowX: "auto" } },
        core_1.jsx("form", { css: { display: "flex", padding: Theme_1.default.spaces.lg } },
            core_1.jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                core_1.jsx(Form_1.InputGroup, { label: "Email address" },
                    core_1.jsx(Form_1.Input, { placeholder: "ben.mcmahen@gmail.com" })),
                core_1.jsx(Form_1.InputGroup, { label: "Email address" },
                    core_1.jsx(Form_1.Input, { disabled: true, placeholder: "ben.mcmahen@gmail.com" })),
                core_1.jsx(Form_1.InputGroup, { error: "This field is required", label: "Email address" },
                    core_1.jsx(Form_1.Input, { placeholder: "ben.mcmahen@gmail.com" }))),
            core_1.jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                core_1.jsx(Form_1.InputGroup, { label: "Gender" },
                    core_1.jsx(Form_1.Select, null,
                        core_1.jsx("option", null, "Male"),
                        core_1.jsx("option", null, "Female"),
                        core_1.jsx("option", null, "Other"))),
                core_1.jsx(Form_1.InputGroup, { label: "Gender" },
                    core_1.jsx(Form_1.Select, { disabled: true },
                        core_1.jsx("option", null, "Male"),
                        core_1.jsx("option", null, "Female"),
                        core_1.jsx("option", null, "Other"))),
                core_1.jsx(Form_1.InputGroup, { error: "This field is required", label: "Gender" },
                    core_1.jsx(Form_1.Select, null,
                        core_1.jsx("option", null, "Male"),
                        core_1.jsx("option", null, "Female"),
                        core_1.jsx("option", null, "Other")))),
            core_1.jsx("div", { css: { minWidth: "150px", margin: "1rem" } },
                core_1.jsx(Form_1.InputGroup, { label: "Gender" },
                    core_1.jsx("div", null,
                        core_1.jsx(Form_1.Check, { disabled: true, label: "Male", checked: true }),
                        core_1.jsx(Form_1.Check, { label: "Female" }),
                        core_1.jsx(Form_1.Check, { label: "Other" }))),
                core_1.jsx(Form_1.InputGroup, { error: "You must select a gender", label: "Gender" },
                    core_1.jsx("div", null,
                        core_1.jsx(Form_1.Check, { disabled: true, label: "Male", checked: true }),
                        core_1.jsx(Form_1.Check, { label: "Female" }),
                        core_1.jsx(Form_1.Check, { label: "Other" })))),
            core_1.jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                core_1.jsx(Form_1.InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    core_1.jsx(Form_1.TextArea, { placeholder: "Something about me" })),
                core_1.jsx(Form_1.InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    core_1.jsx(Form_1.TextArea, { disabled: true, placeholder: "Something about me" })),
                core_1.jsx(Form_1.InputGroup, { error: "This field is required", label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    core_1.jsx(Form_1.TextArea, { placeholder: "Something about me" })),
                core_1.jsx("div", { css: { textAlign: "right", marginTop: "" + Theme_1.default.spaces.md } },
                    core_1.jsx(Button_1.Button, { disabled: true, intent: "primary" }, "Submit"))))))); });
