"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var react_1 = require("@storybook/react");
var use_infinite_scroll_1 = require("../Hooks/use-infinite-scroll");
var faker = tslib_1.__importStar(require("faker"));
var ScrollView_1 = require("../ScrollView");
var List_1 = require("../List");
var Skeleton_1 = require("../Skeleton");
var Avatar_1 = require("../Avatar");
var Layer_1 = require("../Layer");
var Icons_1 = require("../Icons");
var Providers_1 = require("../Theme/Providers");
function fetchdata() {
    return new Promise(function (resolve) {
        setTimeout(function () {
            resolve();
        }, 800);
    });
}
function getUser() {
    faker.seed(0);
    return {
        name: faker.name.firstName() + " " + faker.name.lastName(),
        uid: faker.random.uuid(),
        description: faker.lorem.sentence()
    };
}
function Example() {
    var theme = Providers_1.useTheme();
    var ref = React.useRef(null);
    var _a = React.useState(Array.from(new Array(10)).map(function () { return getUser(); })), items = _a[0], setItems = _a[1];
    var _b = React.useState(0), page = _b[0], setPage = _b[1];
    var fetching = use_infinite_scroll_1.useInfiniteScroll({
        container: ref,
        hasMore: page < 4,
        onFetch: function () {
            return fetchdata().then(function () {
                setItems(items.concat(Array.from(new Array(10)).map(function () { return getUser(); })));
                setPage(page + 1);
            });
        }
    })[0];
    return (core_1.jsx(Layer_1.Layer, { css: {
            width: "400px",
            overflow: "hidden"
        } },
        core_1.jsx(ScrollView_1.ScrollView, { css: {
                height: "280px"
            }, overflowY: true, innerRef: ref },
            core_1.jsx(List_1.List, null,
                items.map(function (item) { return (core_1.jsx(List_1.ListItem, { key: item.uid, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: item.name }), primary: item.name, secondary: item.description, contentAfter: core_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) })); }),
                fetching && (core_1.jsx(List_1.ListItem, { interactive: false, "aria-live": "polite", "aria-busy": "true", primary: core_1.jsx(Skeleton_1.Skeleton, { animated: true, css: { width: "100px" } }), secondary: core_1.jsx(Skeleton_1.Skeleton, { animated: true }), contentBefore: core_1.jsx(Skeleton_1.Skeleton, { animated: true, css: {
                            width: "3.27rem",
                            height: "3.27rem",
                            borderRadius: "50%"
                        } }) }))))));
}
function WindowExample() {
    var _a = React.useState(Array.from(new Array(10)).map(function () { return faker.name.firstName(); })), items = _a[0], setItems = _a[1];
    var _b = React.useState(0), page = _b[0], setPage = _b[1];
    var fetching = use_infinite_scroll_1.useInfiniteScroll({
        hasMore: page < 4,
        onFetch: function () {
            return fetchdata().then(function () {
                setItems(items.concat(Array.from(new Array(10)).map(function () { return faker.name.firstName(); })));
                setPage(page + 1);
            });
        }
    })[0];
    return (core_1.jsx("div", null,
        items.map(function (item) { return (core_1.jsx("div", { css: { height: "40px", border: "1px solid" }, key: item }, item)); }),
        fetching && core_1.jsx("div", null, "Loading...")));
}
exports.ThemeExamples = react_1.storiesOf("InfiniteScroll", module)
    .add("Basic usage", function () { return (core_1.jsx("div", { css: { padding: "1rem" } },
    core_1.jsx(Example, null))); })
    .add("Window scroll", function () { return core_1.jsx(WindowExample, null); });
