"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var Layer_1 = require("../Layer");
var react_1 = require("@storybook/react");
var Theme_1 = tslib_1.__importDefault(require("../Theme"));
var Button_1 = require("../Button");
var Providers_1 = require("../Theme/Providers");
var Text_1 = require("../Text");
var Tooltip_1 = require("../Tooltip");
var Popover_1 = require("../Popover");
var Menu_1 = require("../Menu");
exports.LayerStories = react_1.storiesOf("Layer", module)
    .add("Elevation options", function () {
    var elevations = ["xs", "sm", "md", "lg"];
    return (core_1.jsx("div", null, elevations.map(function (e) { return (core_1.jsx(Layer_1.Layer, { css: {
            marginLeft: "auto",
            marginRight: "auto",
            width: "400px",
            height: "200px",
            display: "flex",
            justifyContent: "center",
            alignItems: "center",
            marginBottom: "2rem"
        }, elevation: e },
        core_1.jsx(Tooltip_1.Tooltip, { content: "This is some tooltip content" },
            core_1.jsx(Button_1.Button, { variant: "outline" }, "Hello world. Hover me!!")),
        ["auto"].map(function (placement) { return (core_1.jsx("div", { css: { marginTop: "1rem", textAlign: "center" }, key: placement },
            core_1.jsx(Popover_1.Popover, { placement: placement, content: core_1.jsx(Menu_1.MenuList, null,
                    core_1.jsx(Menu_1.MenuItem, { onSelect: function () { return alert("Hello 1"); } }, "I will trigger an alert"),
                    core_1.jsx(Menu_1.MenuItem, { component: "a", href: "/bacon" }, "I'm a link"),
                    core_1.jsx(Menu_1.MenuDivider, null),
                    core_1.jsx(Menu_1.MenuItem, null, "Item three")) },
                core_1.jsx(Button_1.Button, null, placement)))); }))); })));
})
    .add("Loading", function () {
    return core_1.jsx(Loading, null);
})
    .add("Dark", function () {
    return (core_1.jsx(Providers_1.DarkMode, null,
        core_1.jsx(Layer_1.Layer, { css: {
                padding: "2rem",
                width: "400px",
                height: "200px",
                marginBottom: "2rem"
            }, elevation: "md" },
            core_1.jsx(Text_1.Text, null, "Hello world. This is dark mode."),
            core_1.jsx(Layer_1.LayerLoading, { label: "Loading in the dark", loading: true }))));
});
function Loading() {
    var _a = React.useState(false), loading = _a[0], setLoading = _a[1];
    React.useEffect(function () {
        setTimeout(function () {
            setLoading(false);
        }, 4000);
    }, [loading]);
    return (core_1.jsx("div", { css: {
            background: Theme_1.default.colors.background.tint2,
            padding: "3rem"
        } },
        core_1.jsx(Layer_1.Layer, { css: {
                width: "400px",
                height: "400px",
                display: "flex",
                flexDirection: "column",
                justifyContent: "center",
                alignItems: "center"
            } },
            core_1.jsx(Button_1.Button, { onClick: function () { return setLoading(true); } }, "Trigger loading"),
            core_1.jsx(Layer_1.LayerLoading, { loading: loading }))));
}
