"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var List_1 = require("../List");
var react_1 = require("@storybook/react");
var Layer_1 = require("../Layer");
var Theme_1 = tslib_1.__importDefault(require("../Theme"));
var faker_1 = tslib_1.__importDefault(require("faker"));
var Avatar_1 = require("../Avatar");
var Divider_1 = require("../Divider");
exports.CollapseStories = react_1.storiesOf("List", module)
    .add("basic", function () {
    return (core_1.jsx("div", null,
        core_1.jsx(Layer_1.Layer, { elevation: "sm", css: { overflow: "hidden", width: "100%", borderRadius: 0 } },
            core_1.jsx(List_1.List, null,
                core_1.jsx(List_1.ListSection, { title: "Hello world" },
                    core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
                    core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." })),
                core_1.jsx(Divider_1.Divider, { muted: true }),
                core_1.jsx(List_1.ListSection, { title: "Hello world" },
                    core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
                    core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))))));
})
    .add("no wrap", function () {
    return (core_1.jsx(Layer_1.Layer, { css: { overflow: "hidden", width: "450px" } },
        core_1.jsx("div", { css: {
                height: "1.5rem",
                borderBottom: "1px solid",
                borderBottomColor: Theme_1.default.colors.border.muted
            } }),
        core_1.jsx(List_1.List, null,
            core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
            core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))));
})
    .add("support links", function () {
    return (core_1.jsx(Layer_1.Layer, { css: { overflow: "hidden", width: "450px" } },
        core_1.jsx("div", { css: {
                height: "1.5rem",
                borderBottom: "1px solid",
                borderBottomColor: Theme_1.default.colors.border.muted
            } }),
        core_1.jsx(List_1.List, null,
            core_1.jsx(List_1.ListItem, { component: "a", href: "/", contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
            core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))));
})
    .add("Single label", function () { return (core_1.jsx(List_1.List, null,
    core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", wrap: false }))); });
exports.ExampleList = function () { return (core_1.jsx(List_1.List, null,
    core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen" }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
    core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Charles Taylor" }), primary: "Charles Taylor", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Karl Marx" }), primary: "Karl Marx", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Roger Scruton" }), primary: "Roger Scruton", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Martha Nussbaum" }), primary: "Martha Nussbaum", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "David Hume" }), primary: "David Hume", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    core_1.jsx(List_1.ListItem, { wrap: false, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Simone de Beauvior" }), primary: "Simone de Beauvoir", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))); };
