"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** @jsx jsx */
var core_1 = require("@emotion/core");
var Menu_1 = require("../Menu");
var react_1 = require("@storybook/react");
var Icons_1 = require("../Icons");
exports.MenuStories = react_1.storiesOf("MenuList", module)
    .add("keyboard controls", function () {
    return (core_1.jsx(Menu_1.MenuList, { css: { maxWidth: "340px" } },
        core_1.jsx(Menu_1.MenuItem, null, "Hello world number 1"),
        core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
        core_1.jsx(Menu_1.MenuItem, { disabled: true }, "Hello world number 2"),
        core_1.jsx(Menu_1.MenuItem, { onSelect: function () {
                alert("selected!");
            } }, "try selecting me"),
        core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
        core_1.jsx(Menu_1.MenuDivider, null),
        core_1.jsx(Menu_1.MenuLabel, null, "Some label"),
        core_1.jsx(Menu_1.MenuItem, { contentAfter: "\u2318R" }, "Hello world number 2"),
        core_1.jsx(Menu_1.MenuItem, { contentAfter: core_1.jsx(Icons_1.IconAirplay, null) }, "Hello world number 2")));
})
    .add("with icons", function () {
    return (core_1.jsx(Menu_1.MenuList, { css: { maxWidth: "400px", width: "100%" } },
        core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconUser, null) }, "Share"),
        core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconAlertCircle, null) }, "Alert"),
        core_1.jsx(Menu_1.MenuDivider, null),
        core_1.jsx(Menu_1.MenuLabel, null, "Danger actions"),
        core_1.jsx(Menu_1.MenuItem, { contentAfter: "\u2318R", contentBefore: core_1.jsx(Icons_1.IconDelete, null) }, "Delete with an extrodinarily long title"),
        core_1.jsx(Menu_1.MenuItem, { contentAfter: "\u2318R" }, "Delete with an extrodinarily long title"),
        core_1.jsx(Menu_1.MenuItem, null, "Delete with an extrodinarily long title that still overflows")));
});
