"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var Popover_1 = require("../Popover");
var Button_1 = require("../Button");
var Menu_1 = require("../Menu");
var IconButton_1 = require("../IconButton");
var react_1 = require("@storybook/react");
var Icons_1 = require("../Icons");
var Link = React.forwardRef(function (props, ref) { return (core_1.jsx("div", tslib_1.__assign({ ref: ref, css: {
        ":focus": {
            backgroundColor: "blue"
        }
    } }, props), props.children)); });
exports.PopoverStories = react_1.storiesOf("Popover", module)
    .add("Focus management", function () {
    return (core_1.jsx("div", null,
        core_1.jsx("div", { css: { padding: "300px", background: "#eee" } },
            core_1.jsx(Popover_1.Popover, { content: core_1.jsx("div", { css: { padding: "2rem" } },
                    core_1.jsx(Button_1.Button, null, "I should focus")) },
                core_1.jsx(Button_1.Button, null, "Hello world!")))));
})
    .add("positions", function () {
    return (core_1.jsx("div", null, [
        "auto-start",
        "auto",
        "auto-end",
        "top-start",
        "top",
        "top-end",
        "right-start",
        "right",
        "right-end",
        "bottom-end",
        "bottom",
        "bottom-start",
        "left-end",
        "left",
        "left-start"
    ].map(function (placement) { return (core_1.jsx("div", { css: { marginTop: "1rem", textAlign: "center" }, key: placement },
        core_1.jsx(Popover_1.Popover, { placement: placement, content: core_1.jsx(Menu_1.MenuList, null,
                core_1.jsx(Menu_1.MenuItem, { onSelect: function () { return alert("Hello 1"); } }, "I will trigger an alert"),
                core_1.jsx(Menu_1.MenuItem, { component: "a", href: "/bacon" }, "I'm a link"),
                core_1.jsx(Menu_1.MenuDivider, null),
                core_1.jsx(Menu_1.MenuItem, null, "Item three")) },
            core_1.jsx(Button_1.Button, null, placement)))); })));
})
    .add("Dropdown menu", function () {
    return (core_1.jsx("div", { css: { padding: "300px", minHeight: "80vh" } },
        core_1.jsx(Popover_1.Popover, { content: core_1.jsx(Menu_1.MenuList, null,
                core_1.jsx(Menu_1.MenuItem, { onPress: function () { return alert("Hello 1"); } }, "I will trigger an alert"),
                core_1.jsx(Menu_1.MenuItem, { component: "a", href: "/bacon" }, "I'm a link"),
                core_1.jsx(Menu_1.MenuDivider, null),
                core_1.jsx(Menu_1.MenuItem, null, "Item three")) },
            core_1.jsx(Button_1.Button, null, "I should trigger popover"))));
})
    .add("Triggered with an icon button", function () {
    return (core_1.jsx("div", { css: { padding: "300px", minHeight: "150vh", background: "#eee" } },
        core_1.jsx(Popover_1.Popover, { content: core_1.jsx(Menu_1.MenuList, null,
                core_1.jsx(Menu_1.MenuItem, { onSelect: function () { return alert("Hello 1"); } }, "Item one"),
                core_1.jsx(Menu_1.MenuItem, null, "Item three"),
                core_1.jsx(Menu_1.MenuDivider, null),
                core_1.jsx(Menu_1.MenuItem, null, "Item three"),
                core_1.jsx(Menu_1.MenuItem, null, "Item three"),
                core_1.jsx(Menu_1.MenuItem, null, "Item three")) },
            core_1.jsx(IconButton_1.IconButton, { variant: "ghost", icon: core_1.jsx(Icons_1.IconMoreHorizontal, null), label: "show more" }))));
})
    .add("ResponsivePopover", function () {
    return (core_1.jsx("div", { css: { padding: "1rem" } },
        core_1.jsx(Popover_1.ResponsivePopover, { content: core_1.jsx(Menu_1.MenuList, null,
                core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconUser, null), onSelect: function () { return alert("Hello 1"); } }, "Drink coffee"),
                core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconPackage, null) }, "Eat pancakes"),
                core_1.jsx(Menu_1.MenuDivider, null),
                core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconMapPin, null) }, "Make pizza"),
                core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconActivity, null) }, "Dance my heart out"),
                core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconArrowUpRight, null) }, "Anything you ask")) },
            core_1.jsx(IconButton_1.IconButton, { variant: "ghost", icon: core_1.jsx(Icons_1.IconMoreHorizontal, null), label: "show more" }))));
});
