"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var react_1 = require("@storybook/react");
var react_2 = require("react");
var Pager_1 = require("../Pager");
var ScrollView_1 = require("../ScrollView");
var React = tslib_1.__importStar(require("react"));
var Layer_1 = require("../Layer");
var Toolbar_1 = require("../Toolbar");
var Text_1 = require("../Text");
var Tabs_1 = require("../Tabs");
var List_1 = require("../List");
var Avatar_1 = require("../Avatar");
var Badge_1 = require("../Badge");
var faker = tslib_1.__importStar(require("faker"));
exports.ScrollViewStories = react_1.storiesOf("ScrollView", module)
    .add("within gesture", function () {
    return core_1.jsx(Example, null);
})
    .add("overflowY", function () { return core_1.jsx(Direction, null); })
    .add("animated scroll", function () { return core_1.jsx(AnimatedScroll, null); })
    .add("tabs example", function () { return core_1.jsx(TabsExample, null); });
function Example() {
    var _a = react_2.useState(0), index = _a[0], setIndex = _a[1];
    return (core_1.jsx("div", { css: { width: "200px" } },
        core_1.jsx(Pager_1.Pager, { css: { height: "400px " }, value: index, onRequestChange: function (i) { return setIndex(i); } },
            core_1.jsx("div", { css: { flex: 1, background: "green" } },
                core_1.jsx(ScrollView_1.ScrollView, { overflowX: true },
                    core_1.jsx("div", { css: { width: "300px", background: "yellow" } }, "this scrolls i guess expe Aute fugiat esse nulla enim esse reprehenderit do."))),
            core_1.jsx("div", { css: { flex: 1, background: "red" } }))));
}
function Direction() {
    var _a = react_2.useState(0), index = _a[0], setIndex = _a[1];
    return (core_1.jsx("div", { css: { width: "200px" } },
        core_1.jsx(Pager_1.Pager, { css: { height: "400px " }, value: index, onRequestChange: function (i) { return setIndex(i); } },
            core_1.jsx("div", { css: { flex: 1, background: "green" } },
                core_1.jsx(ScrollView_1.ScrollView, { overflowY: true, css: { height: "200px" } },
                    core_1.jsx("div", { css: { height: "400px", background: "yellow" } }, "this scrolls i guess expe Aute fugiat esse nulla enim esse reprehenderit do."))),
            core_1.jsx("div", { css: { flex: 1, background: "red" } }))));
}
function AnimatedScroll() {
    var ref = react_2.useRef(null);
    function scroll() {
        console.log(ref);
        ref.current.scrollTo(undefined, 400);
    }
    return (core_1.jsx(ScrollView_1.ScrollView, { css: { height: "300px" }, overflowY: true, ref: ref },
        core_1.jsx("div", { css: { height: "600px" } },
            "some scroll content",
            core_1.jsx("button", { onClick: scroll }, "scroll to 300")),
        core_1.jsx(React.Fragment, null,
            core_1.jsx("button", { onClick: function () { return ref.current.scrollTo(undefined, 0); } }, "scroll to 0"))));
}
function TabsExample() {
    var _a = react_2.useState(0), tab = _a[0], setTab = _a[1];
    return (core_1.jsx(Layer_1.Layer, { className: "List-example" },
        core_1.jsx(Toolbar_1.Toolbar, { className: "List-toolbar" },
            core_1.jsx(Text_1.Text, { gutter: false, variant: "h6" }, "My Chat App")),
        core_1.jsx(Tabs_1.Tabs, { variant: "evenly-spaced", onChange: function (i) { return setTab(i); }, value: tab },
            core_1.jsx(Tabs_1.Tab, { id: "family" }, "Family"),
            core_1.jsx(Tabs_1.Tab, { id: "work" }, "Work"),
            core_1.jsx(Tabs_1.Tab, { id: "fav" }, "Favorites"),
            core_1.jsx(Tabs_1.Tab, { id: "groups" }, "Groups")),
        core_1.jsx("div", null,
            core_1.jsx(List_1.List, null,
                core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Lynn Apple", src: faker.image.avatar() }), primary: "Lynn Apple", wrap: false, secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit.", contentAfter: core_1.jsx(Badge_1.Badge, null, "1") }),
                core_1.jsx(List_1.ListItem, { contentBefore: core_1.jsx(Avatar_1.Avatar, { name: "Mary Joe", src: faker.image.avatar() }), primary: "Mary Joe", wrap: false, secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit.", contentAfter: core_1.jsx(Badge_1.Badge, null, "4") })))));
}
