"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var react_1 = require("@storybook/react");
var Sheet_1 = require("../Sheet");
var Button_1 = require("../Button");
var Menu_1 = require("../Menu");
exports.SheetExamples = react_1.storiesOf("Sheet", module)
    .add("basic example", function () {
    return (core_1.jsx(Example, { position: "left", label: "hi" },
        core_1.jsx("div", null,
            "Helloooo world!",
            core_1.jsx("button", null, "one"),
            core_1.jsx("button", null, "two"),
            core_1.jsx("button", null, "tjree"),
            core_1.jsx("button", null, "four"),
            core_1.jsx("div", { "data-scroll-lock-scrollable": true, style: {
                    border: "1px solid",
                    width: "100px",
                    height: "100px",
                    overflow: "scroll"
                } },
                core_1.jsx("div", { style: { height: "200px" } }, "scrollable")))));
})
    .add("Different positions", function () {
    var positions = ["top", "left", "right", "bottom"];
    var examples = positions.map(function (position) {
        return (core_1.jsx(React.Fragment, { key: position },
            core_1.jsx(Example, { position: position, label: position },
                core_1.jsx("div", null,
                    "Helloooo world!",
                    core_1.jsx("button", null, "one"),
                    core_1.jsx("button", null, "two"),
                    core_1.jsx("button", null, "tjree"),
                    core_1.jsx("button", null, "four")))));
    });
    return (core_1.jsx("div", { css: {
            display: "flex",
            justifyContent: "center",
            flexDirection: "column",
            alignItems: "center",
            height: "100%",
            "& > *": {
                margin: "1rem",
                width: "200px"
            }
        } }, examples));
})
    .add("Sheet menu", function () {
    return (core_1.jsx(Example, { position: "bottom" },
        core_1.jsx(Menu_1.MenuList, { css: { display: "block" } },
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 1"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, { disabled: true }, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, { onSelect: function () {
                    alert("selected!");
                } }, "try selecting me"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuDivider, null),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"))));
})
    .add("Scroll lock", function () {
    return (core_1.jsx(Example, { position: "bottom" },
        core_1.jsx(Menu_1.MenuList, { css: { display: "block" } },
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 1"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, { disabled: true }, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, { onSelect: function () {
                    alert("selected!");
                } }, "try selecting me"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuDivider, null),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"))));
})
    .add("vertical swipe test", function () {
    return (core_1.jsx(Example, { position: "top" },
        core_1.jsx(Menu_1.MenuList, { css: { display: "block" } },
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 1"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, { disabled: true }, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, { onSelect: function () {
                    alert("selected!");
                } }, "try selecting me"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuDivider, null),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
            core_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"))));
});
var Example = function (_a) {
    var _b = _a.label, label = _b === void 0 ? "show" : _b, _c = _a.position, position = _c === void 0 ? "left" : _c, children = _a.children;
    var _d = React.useState(false), show = _d[0], setShow = _d[1];
    return (core_1.jsx("div", { css: {
            minHeight: "150vh"
        } },
        core_1.jsx(Button_1.Button, { onPress: function () { return setShow(true); } }, label),
        core_1.jsx(Sheet_1.Sheet, { onRequestClose: function () { return setShow(false); }, isOpen: show, position: position }, children)));
};
