"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var react_1 = require("@storybook/react");
var faker = tslib_1.__importStar(require("faker"));
var Providers_1 = require("../Theme/Providers");
var React = tslib_1.__importStar(require("react"));
var index_1 = require("../index");
var ScrollView_1 = require("../ScrollView");
var List_1 = require("../List");
var Icons_1 = require("../Icons");
var IconButton_1 = require("../IconButton");
var Avatar_1 = require("../Avatar");
function getUser() {
    faker.seed(0);
    return {
        name: faker.name.firstName() + " " + faker.name.lastName(),
        uid: faker.random.uuid(),
        description: faker.lorem.sentence()
    };
}
function ListDetail() {
    var theme = Providers_1.useTheme();
    var _a = React.useState(0), index = _a[0], setIndex = _a[1];
    var _b = React.useState(Array.from(new Array(10)).map(function () { return getUser(); })), items = _b[0], setItems = _b[1];
    function next() {
        setIndex(index + 1);
    }
    function onChange(i) {
        setIndex(i);
    }
    return (core_1.jsx("div", { style: {
            display: "flex",
            justifyContent: "center",
            padding: "2rem"
        } },
        core_1.jsx("div", { style: {
                border: "1px solid " + theme.colors.border.default,
                height: "500px",
                width: "400px",
                overflow: "hidden"
            } },
            core_1.jsx(index_1.Stack, { navHeight: 60, style: {
                    height: "100%",
                    width: "100%"
                }, items: [
                    {
                        title: core_1.jsx(index_1.StackTitle, { title: "Contacts" }),
                        content: (core_1.jsx(index_1.StackItem, null,
                            core_1.jsx(ScrollView_1.ScrollView, { css: { flex: 1 }, overflowY: true },
                                core_1.jsx(List_1.List, null,
                                    core_1.jsx(List_1.ListItem, { onPress: function () { return setIndex(index + 1); }, primary: "All", contentAfter: core_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) }),
                                    core_1.jsx(List_1.ListItem, { onPress: function () { return setIndex(index + 1); }, primary: "Family", contentAfter: core_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) }),
                                    core_1.jsx(List_1.ListItem, { onPress: function () { return setIndex(index + 1); }, primary: "Friends", contentAfter: core_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) })))))
                    },
                    {
                        title: (core_1.jsx(index_1.StackTitle, { title: "Family", contentAfter: core_1.jsx(IconButton_1.IconButton, { variant: "ghost", label: "Add", icon: core_1.jsx(Icons_1.IconPlus, null) }) })),
                        content: (core_1.jsx(index_1.StackItem, null,
                            core_1.jsx("div", { style: {
                                    flexDirection: "column",
                                    display: "flex",
                                    height: "100%"
                                } },
                                core_1.jsx(ScrollView_1.ScrollView, { css: { flex: 1, height: "100%" }, overflowY: true },
                                    core_1.jsx(List_1.List, null, items.map(function (item) { return (core_1.jsx(List_1.ListItem, { key: item.uid, onPress: function () { return setIndex(index + 1); }, contentBefore: core_1.jsx(Avatar_1.Avatar, { name: item.name }), primary: item.name, secondary: item.description, contentAfter: core_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) })); }))))))
                    },
                    {
                        title: core_1.jsx(index_1.StackTitle, { title: "I'm in a tree!" }),
                        content: (core_1.jsx(index_1.StackItem, null,
                            core_1.jsx("div", { style: {
                                    flexDirection: "column",
                                    display: "flex",
                                    height: "100%",
                                    backgroundImage: "url(https://images.unsplash.com/photo-1562519776-b232435b73c1?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80)",
                                    backgroundSize: "cover"
                                } })))
                    }
                ], onIndexChange: onChange, index: index }))));
}
exports.ThemeExamples = react_1.storiesOf("Stack", module)
    .add("Drilldown nav", function () { return core_1.jsx(ListDetail, null); })
    .add("Without header", function () { return core_1.jsx(WithoutHeader, null); });
function WithoutHeader() {
    var _a = React.useState(0), index = _a[0], setIndex = _a[1];
    return (core_1.jsx(index_1.Stack, { index: index, disableNav: true, css: { height: "400px", width: "400px" }, items: [
            {
                title: null,
                content: (core_1.jsx(index_1.StackItem, { onClick: function () { return setIndex(index + 1); }, css: {
                        backgroundImage: "url(https://images.unsplash.com/photo-1556909114-44e3e70034e2?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1950&q=80)",
                        backgroundSize: "cover"
                    } }))
            },
            {
                title: null,
                content: (core_1.jsx(index_1.StackItem, { css: {
                        backgroundImage: "url(https://images.unsplash.com/photo-1558980664-10e7170b5df9?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1951&q=80)",
                        backgroundSize: "cover"
                    } }))
            },
            {
                title: null,
                content: (core_1.jsx(index_1.StackItem, { css: {
                        backgroundImage: "url(https://images.unsplash.com/photo-1562619398-e7a474328df3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1950&q=80)",
                        backgroundSize: "cover"
                    } }))
            }
        ], onIndexChange: function (i) { return setIndex(i); } }));
}
