"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var Theme_1 = tslib_1.__importDefault(require("../Theme"));
var react_1 = require("@storybook/react");
var Layer_1 = require("../Layer");
var Table_1 = require("../Table");
var Text_1 = require("../Text");
var Button_1 = require("../Button");
var Toolbar_1 = require("../Toolbar");
var id = 0;
function createData(name, calories, fat, carbs, protein) {
    id += 1;
    return { id: id, name: name, calories: calories, fat: fat, carbs: carbs, protein: protein };
}
var rows = [
    createData("Frozen yoghurt", 159, 6.0, 24, 4.0),
    createData("Ice cream sandwich", 237, 9.0, 37, 4.3),
    createData("Eclair", 262, 16.0, 24, 6.0),
    createData("Cupcake", 305, 3.7, 67, 4.3),
    createData("Gingerbread", 356, 16.0, 49, 3.9)
];
exports.TableExamples = react_1.storiesOf("Tables", module)
    .add("Minimum size with scroll", function () { return (core_1.jsx("div", { css: { padding: "48px" } },
    core_1.jsx(Table_1.Table, { minWidth: "800px" },
        core_1.jsx(Table_1.TableHead, null,
            core_1.jsx(Table_1.TableRow, null,
                core_1.jsx(Table_1.TableCell, null, "Dessert (100g serving)"),
                core_1.jsx(Table_1.TableCell, { align: "right" }, "Calories"),
                core_1.jsx(Table_1.TableCell, { align: "right" }, "Fat (g)"),
                core_1.jsx(Table_1.TableCell, { align: "right" }, "Carbs (g)"),
                core_1.jsx(Table_1.TableCell, { align: "right" }, "Protein (g)"))),
        core_1.jsx(Table_1.TableBody, null, rows.map(function (row) { return (core_1.jsx(Table_1.TableRow, { key: row.id },
            core_1.jsx(Table_1.TableCell, { component: "th", scope: "row" }, row.name),
            core_1.jsx(Table_1.TableCell, { align: "right" }, row.calories),
            core_1.jsx(Table_1.TableCell, { align: "right" }, row.fat),
            core_1.jsx(Table_1.TableCell, { align: "right" }, row.carbs),
            core_1.jsx(Table_1.TableCell, { align: "right" }, row.protein))); }))))); })
    .add("Fixed layout", function () { return (core_1.jsx("div", { css: {
        minHeight: "100vh",
        background: Theme_1.default.colors.background.tint2,
        padding: "48px"
    } },
    core_1.jsx(Layer_1.Layer, { elevation: "sm", css: { overflow: "hidden" } },
        core_1.jsx(Toolbar_1.Toolbar, { css: {
                borderBottom: "1px solid " + Theme_1.default.colors.border.default,
                background: Theme_1.default.colors.background.tint1,
                justifyContent: "space-between"
            } },
            core_1.jsx(Text_1.Text, { css: { margin: 0 }, variant: "h4" }, "Ingredients"),
            core_1.jsx("div", null,
                core_1.jsx(Button_1.Button, { intent: "primary" }, "Add ingredient"))),
        core_1.jsx(Table_1.Table, { minWidth: "700px", fixed: ["200", "15%", "15%", "15%", "15%"] },
            core_1.jsx(Table_1.TableHead, null,
                core_1.jsx(Table_1.TableRow, null,
                    core_1.jsx(Table_1.TableCell, null, "Dessert (100g serving)"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "Calories"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "Fat (g)"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "Carbs (g)"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "Protein (g)"))),
            core_1.jsx(Table_1.TableBody, null,
                rows.map(function (row) { return (core_1.jsx(Table_1.TableRow, { key: row.id },
                    core_1.jsx(Table_1.TableCell, { component: "th", scope: "row" }, row.name),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, row.calories),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, row.fat),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, row.carbs),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, row.protein))); }),
                core_1.jsx(Table_1.TableRow, null,
                    core_1.jsx(Table_1.TableCell, { component: "th", scope: "row" }, "With a really really really stupidly long name"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "10"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "30"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "49"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "122")))),
        core_1.jsx(Toolbar_1.Toolbar, { compressed: true, css: {
                background: Theme_1.default.colors.background.tint1
            } })))); })
    .add("Expanding rows", function () { return (core_1.jsx("div", { css: {
        minHeight: "100vh",
        background: Theme_1.default.colors.background.tint2,
        padding: "48px"
    } },
    core_1.jsx(Layer_1.Layer, { elevation: "sm" },
        core_1.jsx(Toolbar_1.Toolbar, { css: {
                borderTopRightRadius: Theme_1.default.radii.lg,
                borderTopLeftRadius: Theme_1.default.radii.lg,
                borderBottom: "1px solid " + Theme_1.default.colors.border.default,
                background: Theme_1.default.colors.background.tint1,
                justifyContent: "space-between"
            } },
            core_1.jsx(Text_1.Text, { css: { margin: 0 }, variant: "h4" }, "Ingredients"),
            core_1.jsx("div", null,
                core_1.jsx(Button_1.Button, { intent: "primary" }, "Add ingredient"))),
        core_1.jsx(Table_1.Table, { fixed: ["200", "15%", "15%", "15%", "15%"] },
            core_1.jsx(Table_1.TableHead, null,
                core_1.jsx(Table_1.TableRow, null,
                    core_1.jsx(Table_1.TableCell, null, "Dessert (100g serving)"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "Calories"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "Fat (g)"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "Carbs (g)"),
                    core_1.jsx(Table_1.TableCell, { align: "right" }, "Protein (g)"))),
            rows.map(function (row) { return (core_1.jsx(Table_1.ExpandingRow, { content: function (close) {
                    return (core_1.jsx("div", { css: {
                            padding: Theme_1.default.spaces.lg,
                            paddingTop: 0,
                            paddingBottom: 0
                        } },
                        core_1.jsx(Text_1.Text, { variant: "body", css: { fontSize: Theme_1.default.fontSizes[0] } }, "Officia laborum deserunt adipisicing reprehenderit esse elit exercitation consectetur ad non. Enim reprehenderit mollit in commodo anim ex consequat magna laboris adipisicing esse. Fugiat adipisicing ut consequat ea cupidatat et excepteur sint excepteur cupidatat reprehenderit minim. Labore reprehenderit sint enim cillum exercitation ullamco nisi nostrud laboris ad magna magna officia magna. Officia nisi eiusmod non ea do ullamco anim fugiat proident commodo consectetur ut id. Ea cillum non voluptate ullamco sunt dolore esse mollit."),
                        core_1.jsx("div", { css: {
                                display: "flex",
                                marginTop: "1rem",
                                justifyContent: "flex-end"
                            } },
                            core_1.jsx(Button_1.Button, { variant: "ghost", css: { marginRight: Theme_1.default.spaces.sm }, onClick: close }, "Cancel"),
                            core_1.jsx(Button_1.Button, { intent: "primary" }, "Save"))));
                }, key: row.id },
                core_1.jsx(Table_1.TableCell, { component: "th", scope: "row" }, row.name),
                core_1.jsx(Table_1.TableCell, { align: "right" }, row.calories),
                core_1.jsx(Table_1.TableCell, { align: "right" }, row.fat),
                core_1.jsx(Table_1.TableCell, { align: "right" }, row.carbs),
                core_1.jsx(Table_1.TableCell, { align: "right" }, row.protein))); })),
        core_1.jsx(Toolbar_1.Toolbar, { compressed: true, css: {
                borderBottomRightRadius: Theme_1.default.radii.lg,
                borderBottomLeftRadius: Theme_1.default.radii.lg,
                background: Theme_1.default.colors.background.tint1
            } })))); });
