"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var Tabs_1 = require("../Tabs");
var Theme_1 = tslib_1.__importDefault(require("../Theme"));
var Text_1 = require("../Text");
var Container_1 = require("../Container");
var react_1 = require("@storybook/react");
var Layer_1 = require("../Layer");
var Button_1 = require("../Button");
var Providers_1 = require("../Theme/Providers");
var Icons_1 = require("../Icons");
var Pager_1 = require("../Pager");
var List_stories_1 = require("./List.stories");
var IconButton_1 = require("../IconButton");
var Popover_1 = require("../Popover");
var Menu_1 = require("../Menu");
var Example = function () {
    var _a = React.useState(0), value = _a[0], setValue = _a[1];
    var theme = Providers_1.useTheme();
    return (core_1.jsx("div", { css: {
            maxWidth: "100vw",
            background: theme.colors.background.tint1
        } },
        core_1.jsx(Tabs_1.Tabs, { value: value, onChange: function (i) { return setValue(i); } },
            core_1.jsx(Tabs_1.Tab, { id: "course" }, "Course events"),
            core_1.jsx(Tabs_1.Tab, { id: "settings" }, "Settings"),
            core_1.jsx(Tabs_1.Tab, { id: "templates" }, "Templates"),
            core_1.jsx(Tabs_1.Tab, { id: "courses" }, "Courses"),
            core_1.jsx(Tabs_1.Tab, { id: "members" }, "Team members"))));
};
exports.TabsExamples = react_1.storiesOf("Tabs", module)
    .add("Basic usage", function () { return core_1.jsx(Example, null); })
    .add("Evenly spaced", function () {
    return core_1.jsx(ParentSwipe, null);
})
    .add("Icons", function () {
    return core_1.jsx(IconExample, null);
});
function IconExample() {
    var _a = React.useState(0), value = _a[0], setValue = _a[1];
    var theme = Providers_1.useTheme();
    return (core_1.jsx("div", { css: {
            display: "flex",
            justifyContent: "center",
            background: theme.colors.background.tint2,
            padding: "0.5rem"
        } },
        core_1.jsx(Layer_1.Layer, { elevation: "sm", css: {
                maxWidth: "400px",
                maxHeight: "500px",
                width: "100%",
                display: "block",
                boxSizing: "border-box",
                overflow: "hidden"
            } },
            core_1.jsx("div", { css: {
                    background: theme.colors.background.tint1,
                    boxSizing: "border-box",
                    width: "100%",
                    overflow: "hidden",
                    display: "flex",
                    flexDirection: "column",
                    height: "200px"
                } },
                core_1.jsx("div", { css: {
                        flex: 1
                    } }),
                core_1.jsx("div", null,
                    core_1.jsx(Tabs_1.Tabs, { variant: "evenly-spaced", slider: false, css: { background: theme.colors.background.default }, value: value, onChange: function (i) { return setValue(i); } },
                        core_1.jsx(Tabs_1.Tab, { id: "hello" },
                            core_1.jsx(Tabs_1.TabIcon, { icon: core_1.jsx(Icons_1.IconActivity, null), label: "Chat" })),
                        core_1.jsx(Tabs_1.Tab, { id: "cool" },
                            core_1.jsx(Tabs_1.TabIcon, { icon: core_1.jsx(Icons_1.IconAlertCircle, null), label: "Annotation" })),
                        core_1.jsx(Tabs_1.Tab, { id: "tables" },
                            core_1.jsx(Tabs_1.TabIcon, { icon: core_1.jsx(Icons_1.IconAlignLeft, null), label: "Application" })),
                        core_1.jsx(Tabs_1.Tab, { id: "players" },
                            core_1.jsx(Tabs_1.TabIcon, { icon: core_1.jsx(Icons_1.IconActivity, null), label: "Build" })),
                        core_1.jsx(Tabs_1.Tab, { id: "dsf" },
                            core_1.jsx(Tabs_1.TabIcon, { icon: core_1.jsx(Icons_1.IconActivity, null), label: "Chart" }))))))));
}
function EvenlySpaced(_a) {
    var onRequestParentChange = _a.onRequestParentChange, onRequestChange = _a.onRequestChange, value = _a.value, onTerminationRequest = _a.onTerminationRequest;
    return (core_1.jsx(Layer_1.Layer, { elevation: "sm", css: {
            background: "white",
            width: "100%",
            display: "block",
            borderRadius: 0,
            boxSizing: "border-box",
            overflow: "hidden"
        } },
        core_1.jsx("div", { css: {
                boxSizing: "border-box",
                width: "100%",
                overflow: "hidden"
            } },
            core_1.jsx(Providers_1.DarkMode, null,
                core_1.jsx("div", { css: {
                        position: "relative",
                        zIndex: Theme_1.default.zIndices.sticky,
                        background: Theme_1.default.colors.palette.blue.base
                    } },
                    core_1.jsx(Container_1.Container, { css: {
                            justifyContent: "space-between",
                            display: "flex",
                            alignItems: "center"
                        } },
                        core_1.jsx(IconButton_1.IconButton, { variant: "ghost", icon: core_1.jsx(Icons_1.IconArrowLeft, null), onPress: function () { return onRequestParentChange(0); }, label: "Go back" }),
                        core_1.jsx(Text_1.Text, { variant: "h5", gutter: false, css: {
                                textAlign: "center",
                                padding: Theme_1.default.spaces.md
                            } }, "Messenger"),
                        core_1.jsx(Providers_1.LightMode, null,
                            core_1.jsx(Popover_1.ResponsivePopover, { content: core_1.jsx(Menu_1.MenuList, null,
                                    core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconUser, null), onSelect: function () { return alert("Hello 1"); } }, "Drink coffee"),
                                    core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconPackage, null) }, "Eat pancakes"),
                                    core_1.jsx(Menu_1.MenuDivider, null),
                                    core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconMapPin, null) }, "Make pizza"),
                                    core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconActivity, null) }, "Dance my heart out"),
                                    core_1.jsx(Menu_1.MenuItem, { contentBefore: core_1.jsx(Icons_1.IconArrowUp, null) }, "Anything you ask")) },
                                core_1.jsx(Providers_1.DarkMode, null,
                                    core_1.jsx(IconButton_1.IconButton, { variant: "ghost", icon: core_1.jsx(Icons_1.IconSettings, null), label: "Show settings" }))))),
                    core_1.jsx(Tabs_1.Tabs, { value: value, onChange: onRequestChange },
                        core_1.jsx(Tabs_1.Tab, { id: "hello" }, "Contacts"),
                        core_1.jsx(Tabs_1.Tab, { id: "cool" }, "Inbox"),
                        core_1.jsx(Tabs_1.Tab, { id: "tables" }, "Notifications"),
                        core_1.jsx(Tabs_1.Tab, { id: "players" }, "Settings"),
                        core_1.jsx(Tabs_1.Tab, { id: "groups" }, "Groups"),
                        core_1.jsx(Tabs_1.Tab, { id: "family" }, "Family")))),
            core_1.jsx(Pager_1.Pager, { css: { maxHeight: "500px" }, value: value, onTerminationRequest: onTerminationRequest, onRequestChange: onRequestChange },
                core_1.jsx(Tabs_1.TabPanel, { id: "hello", css: { flex: 1 } },
                    core_1.jsx(List_stories_1.ExampleList, null)),
                core_1.jsx(Tabs_1.TabPanel, { id: "cool", css: { flex: 1, padding: "24px" } }, "Inbox content"),
                core_1.jsx(Tabs_1.TabPanel, { id: "tables", css: { flex: 1, padding: "24px" } }, "Notification list"),
                core_1.jsx(Tabs_1.TabPanel, { id: "players", css: { flex: 1, padding: "24px" } }, "Settings tab content"),
                core_1.jsx(Tabs_1.TabPanel, { id: "groups", css: { flex: 1, padding: "24px" } }, "Settings tab content"),
                core_1.jsx(Tabs_1.TabPanel, { id: "family", css: { flex: 1, padding: "24px" } }, "Settings tab content")))));
}
function ParentSwipe() {
    var _a;
    var _b = React.useState(0), parentIndex = _b[0], setParentIndex = _b[1];
    var _c = React.useState(0), childIndex = _c[0], setChildIndex = _c[1];
    function onParentTerminationRequest(_a) {
        var delta = _a.delta;
        if (childIndex !== 0) {
            return true;
        }
        var x = delta[0];
        if (x < 0) {
            return true;
        }
        return false;
    }
    function onChildTerminationRequest(_a) {
        var delta = _a.delta;
        if (childIndex > 0) {
            return false;
        }
        var x = delta[0];
        if (x < 0) {
            return false;
        }
        return true;
    }
    return (core_1.jsx("div", { css: {
            display: "flex",
            justifyContent: "center",
            background: Theme_1.default.colors.background.tint2
        } },
        core_1.jsx(core_1.Global, { styles: {
                body: {
                    background: Theme_1.default.colors.background.tint2
                }
            } }),
        core_1.jsx("div", { css: (_a = {
                    borderRadius: 0,
                    maxWidth: "100vw",
                    overflow: "hidden"
                },
                _a[Theme_1.default.mediaQueries.sm] = {
                    maxWidth: "450px",
                    borderRadius: Theme_1.default.radii.lg
                },
                _a) },
            core_1.jsx(Pager_1.Pager, { onTerminationRequest: onParentTerminationRequest, value: parentIndex, onRequestChange: function (i) { return setParentIndex(i); } },
                core_1.jsx("div", { css: {
                        background: Theme_1.default.colors.palette.green.base,
                        flex: 1,
                        display: "flex",
                        justifyContent: "center",
                        alignItems: "center"
                    } },
                    core_1.jsx(Providers_1.DarkMode, null,
                        core_1.jsx(Text_1.Text, { css: {
                                display: "flex",
                                height: "300px",
                                alignItems: "center"
                            } },
                            core_1.jsx(Button_1.Button, { variant: "ghost", onPress: function () { return setParentIndex(1); }, iconAfter: core_1.jsx(Icons_1.IconArrowRight, null) }, "View next")))),
                core_1.jsx(EvenlySpaced, { value: childIndex, onRequestParentChange: function (i) { return setParentIndex(i); }, onRequestChange: function (i) { return setChildIndex(i); }, onTerminationRequest: onChildTerminationRequest })))));
}
