"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var react_1 = require("@storybook/react");
var Providers_1 = require("../Theme/Providers");
var Theme_1 = tslib_1.__importDefault(require("../Theme"));
var Layer_1 = require("../Layer");
var Popover_1 = require("../Popover");
var Menu_1 = require("../Menu");
var Button_1 = require("../Button");
var Text_1 = require("../Text");
var palx_1 = tslib_1.__importDefault(require("palx"));
var Link_1 = require("../Link");
var React = tslib_1.__importStar(require("react"));
var colors_1 = require("../Theme/colors");
var Tooltip_1 = require("../Tooltip");
var IconButton_1 = require("../IconButton");
var Icons_1 = require("../Icons");
var customPalette = palx_1.default("#007bff");
var colors = colors_1.generateColorsFromScales(customPalette, {
// generateIntents
});
// function generateIntents(palette: PaletteType) {
//   return {
//     none: palette.gray,
//     primary: palette.teal,
//     success: palette.violet,
//     danger: palette.red,
//     warning: palette.yellow
//   };
// }
var custom = tslib_1.__assign({}, Theme_1.default, colors, { fonts: {
        base: "helvetica",
        monospace: "monospace",
        sans: "helvetica"
    } });
function Example(_a) {
    var children = _a.children;
    var theme = Providers_1.useTheme();
    return (core_1.jsx("div", { css: {
            background: theme.colors.background.default
        } },
        core_1.jsx("span", { css: {
                color: theme.colors.text.default
            } }, children)));
}
function Basic() {
    var theme = Providers_1.useTheme();
    return (core_1.jsx("div", null,
        core_1.jsx("span", { css: {
                color: theme.colors.text.selected
            } }, "Hello world, this is the default theme. You can compose modes:"),
        core_1.jsx(Providers_1.DarkMode, null,
            core_1.jsx("div", { css: { border: "1px solid", padding: "1rem" } },
                core_1.jsx(Example, null,
                    core_1.jsx("div", null,
                        core_1.jsx(Providers_1.LightMode, null, function (theme) { return (core_1.jsx("div", { css: {
                                background: theme.colors.background.default,
                                color: theme.colors.text.default
                            } }, "Using render callback, LightMode mode")); }),
                        "This will be in DarkMode mode",
                        core_1.jsx(Providers_1.LightMode, null,
                            core_1.jsx(Example, null,
                                core_1.jsx("div", null, "But this will be in LightMode mode!")))))))));
}
exports.ThemeExamples = react_1.storiesOf("Theme", module)
    .add("Basic usage", function () { return core_1.jsx(Basic, null); })
    .add("playground", function () { return (core_1.jsx("div", { css: { padding: "2rem" } },
    core_1.jsx(Layer_1.Layer, { css: { padding: "2rem" } },
        core_1.jsx(Popover_1.Popover, { content: core_1.jsx(Menu_1.MenuList, null,
                core_1.jsx(Menu_1.MenuItem, { onSelect: function () { return alert("Hello 1"); } }, "I will trigger an alert"),
                core_1.jsx(Menu_1.MenuItem, { component: "a", href: "/bacon" }, "I'm a link"),
                core_1.jsx(Menu_1.MenuDivider, null),
                core_1.jsx(Menu_1.MenuItem, null, "Item three")) },
            core_1.jsx(Button_1.Button, null, "I should trigger popover"))))); })
    .add("Custom theme", function () {
    var sizes = ["xs", "sm", "md", "lg", "xl"];
    var appearance = ["default", "ghost", "outline"];
    var intents = [
        "none",
        "primary",
        "success",
        "danger",
        "warning"
    ];
    return (core_1.jsx("div", null,
        appearance.map(function (appearance) { return (core_1.jsx("div", { key: appearance }, sizes.map(function (size) { return (core_1.jsx("div", { key: size, style: { padding: "0.5rem" } }, intents.map(function (intent) { return (core_1.jsx(Button_1.Button, { key: size + appearance, size: size, css: {
                marginRight: "1rem",
                textTransform: "capitalize"
            }, variant: appearance, intent: intent, onClick: function () { return alert("hello there"); } }, intent)); }))); }))); }),
        core_1.jsx("div", { css: {
                margin: "2rem",
                maxWidth: "38rem"
            } },
            core_1.jsx(Text_1.Text, { variant: "paragraph" },
                "Non proident est elit ",
                core_1.jsx(Link_1.Link, { href: "#" }, "aliqua reprehenderit"),
                ". Eu amet nostrud qui ex velit mollit velit eiusmod consequat aliquip enim et mollit. Sint eiusmod mollit Lorem et eiusmod exercitation anim esse."))));
})
    .add("contrast", function () {
    return core_1.jsx(ContrastExample, null);
})
    .add("DarkMode forwards ref", function () {
    return core_1.jsx(RefExample, null);
})
    .add("Tooltip with DarkMode wrrapper", function () {
    return (core_1.jsx(Tooltip_1.Tooltip, { content: "hello" },
        core_1.jsx(Providers_1.DarkMode, null,
            core_1.jsx(Button_1.Button, null, "Hello"))));
})
    .add("Works with IconButton", function () {
    return (core_1.jsx(Tooltip_1.Tooltip, { content: "hello" },
        core_1.jsx(Providers_1.LightMode, null,
            core_1.jsx(IconButton_1.IconButton, { variant: "ghost", label: "wtf", icon: core_1.jsx(Icons_1.IconArrowDown, null) }))));
});
function SampleTheme() {
    var theme = Providers_1.useTheme();
    return (core_1.jsx("div", { css: { background: theme.colors.palette.blue.base, padding: "3rem" } }));
}
function RefExample() {
    var ref = React.useRef();
    React.useEffect(function () {
        console.log(ref.current);
    }, []);
    return (core_1.jsx(Providers_1.DarkMode, { ref: ref },
        core_1.jsx(Button_1.Button, null, "Hello")));
}
function ContrastExample() {
    var theme = Providers_1.useTheme();
    var dark = theme.colors.mode === "dark";
    return (core_1.jsx("div", { css: { display: "flex" } },
        core_1.jsx("div", { css: {
                height: "400px",
                flex: "1 1 30%",
                background: dark
                    ? theme.colors.background.layer
                    : theme.colors.background.tint1
            } },
            core_1.jsx(Text_1.Text, null, "Hello")),
        core_1.jsx("div", { css: { flex: "1 1 70%" } }, "Basic")));
}
