"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** @jsx jsx */
var core_1 = require("@emotion/core");
var Button_1 = require("../Button");
var Tooltip_1 = require("../Tooltip");
var react_1 = require("@storybook/react");
var IconButton_1 = require("../IconButton");
var Icons_1 = require("../Icons");
var Providers_1 = require("../Theme/Providers");
exports.TooltipStories = react_1.storiesOf("Tooltip", module)
    .add("basic", function () {
    return (core_1.jsx("div", { css: { padding: "100px" } },
        core_1.jsx(Tooltip_1.Tooltip, { content: "This is some tooltip content" },
            core_1.jsx(Button_1.Button, null, "Hello world. Hover me!!"))));
})
    .add("hover effects remain", function () {
    return (core_1.jsx("div", { css: { padding: "100px" } },
        core_1.jsx(Tooltip_1.Tooltip, { content: "This is some tooltip content" },
            core_1.jsx(IconButton_1.IconButton, { variant: "ghost", label: "hello", icon: core_1.jsx(Icons_1.IconArrowRight, null) }))));
})
    .add("works with dark mode wrapper", function () {
    return (core_1.jsx("div", { css: { padding: "100px" } },
        core_1.jsx(Tooltip_1.Tooltip, { content: "This is some tooltip content" },
            core_1.jsx(Providers_1.DarkMode, null,
                core_1.jsx(IconButton_1.IconButton, { variant: "ghost", label: "hello", icon: core_1.jsx(Icons_1.IconArrowRight, null) })))));
})
    .add("delay show / hide", function () {
    return (core_1.jsx("div", { css: { padding: "100px" } },
        core_1.jsx(Tooltip_1.Tooltip, { delayIn: 1000, delayOut: 800, content: "This is some tooltip content" },
            core_1.jsx(Button_1.Button, null, "Hello world. Hover me!!"))));
});
