"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/** @jsx jsx */
var core_1 = require("@emotion/core");
var React = tslib_1.__importStar(require("react"));
var Button_1 = require("../Button");
var react_1 = require("@storybook/react");
var Touchable_1 = require("../Touchable");
var touchable_hook_1 = require("touchable-hook");
var Sheet_1 = require("../Sheet");
function TouchableHighlight() {
    var _a = React.useState(0), pressCount = _a[0], setPressCount = _a[1];
    function onPress() {
        console.log("Pressed!");
        setPressCount(pressCount + 1);
    }
    var _b = touchable_hook_1.useTouchable({
        onPress: onPress,
        behavior: "link"
    }), bind = _b.bind, active = _b.active, hover = _b.hover;
    return (core_1.jsx("div", null,
        pressCount,
        core_1.jsx("div", tslib_1.__assign({ role: "button", tabIndex: 0 }, bind, { css: {
                border: hover ? "1px solid black" : "1px solid transparent",
                userSelect: "none",
                outline: "none",
                background: active ? "#08e" : "transparent"
            } }), "This is a touchable highlight")));
}
exports.TouchableStories = react_1.storiesOf("Touchable", module)
    .add("basic", function () {
    return (core_1.jsx("div", { css: { padding: "100px" } },
        core_1.jsx(TouchableHighlight, null),
        core_1.jsx("p", null, "Aute Lorem laboris nostrud culpa eiusmod in ipsum laborum. Minim cupidatat dolore tempor elit irure officia qui. Anim ea dolor excepteur eiusmod incididunt consectetur reprehenderit id. Incididunt tempor reprehenderit laboris eu exercitation voluptate proident nostrud eiusmod. Laborum consectetur culpa Lorem exercitation ut occaecat est proident labore ullamco id mollit. Labore reprehenderit commodo cupidatat mollit nostrud velit. Exercitation veniam consequat commodo aute incididunt anim duis incididunt sint officia veniam. Aliqua tempor ullamco in occaecat ullamco est ea aliqua exercitation amet cillum reprehenderit. Deserunt pariatur duis id dolore ut enim irure enim consectetur amet anim enim et. Elit Lorem veniam sit non magna esse.")));
})
    .add("embedded responders", function () {
    return core_1.jsx(SheetExample, null);
})
    .add("Touchable class", function () {
    return (core_1.jsx(Touchable_1.Touchable, { css: {
            "&.Touchable--hover": {
                background: "#eee"
            },
            "&.Touchable--active": {
                background: "black"
            }
        } }, "Hello"));
});
function SheetExample() {
    var _a = React.useState(false), open = _a[0], setOpen = _a[1];
    return (core_1.jsx("div", null,
        core_1.jsx(Button_1.Button, { onPress: function () { return setOpen(true); } }, "open"),
        core_1.jsx(Sheet_1.Sheet, { position: "left", isOpen: open, onRequestClose: function () { return setOpen(false); } },
            core_1.jsx(TouchableHighlight, null))));
}
