/** @jsx jsx */
import { jsx } from "@emotion/core";
import * as React from "react";
import { Dialog } from "./Dialog";
import { Button } from "./Button";
import { useTheme } from "./Theme/Providers";
import { Text } from "./Text";
import { useUid } from "./Hooks/use-uid";
export var AlertDialog = function (_a) {
    var isOpen = _a.isOpen, title = _a.title, subtitle = _a.subtitle, _b = _a.confirmLabel, confirmLabel = _b === void 0 ? "Confirm" : _b, onConfirm = _a.onConfirm, _c = _a.intent, intent = _c === void 0 ? "danger" : _c, onCancel = _a.onCancel, onClose = _a.onClose;
    var theme = useTheme();
    var id = useUid();
    var cancel = React.useCallback(function () {
        if (onCancel)
            onCancel();
        onClose();
    }, [onCancel, onClose]);
    var confirm = React.useCallback(function () {
        onConfirm();
        onClose();
    }, [onConfirm]);
    return (jsx(Dialog, { role: "alertdialog", "aria-labelledby": id, onRequestClose: cancel, isOpen: isOpen },
        jsx("div", { css: { padding: "1.5rem" } },
            jsx(Text, { id: id, variant: "h5" }, title),
            subtitle && jsx(Text, null, subtitle),
            jsx("div", { css: {
                    marginTop: theme.spaces.md,
                    display: "flex",
                    justifyContent: "flex-end"
                } },
                jsx(Button, { autoFocus: true, onPress: cancel, variant: "ghost" }, "Cancel"),
                jsx(Button, { onPress: confirm, css: { marginLeft: theme.spaces.sm }, intent: intent }, confirmLabel)))));
};
