import * as React from "react";
export declare type AvatarSizes = "xs" | "sm" | "md" | "lg" | "xl";
interface AvatarProps {
    /** Determine the size of the avatar */
    size?: AvatarSizes;
    /** The image source */
    src?: string;
    /** An alternative to setting the src attribute. */
    srcSet?: string;
    /**The name of the user. Used as an alt attribute, or used to generate initials in the absence of an image. */
    name?: string;
}
/**
 * Display a profile image to represent a user. Initials can be shown as a fallback
 */
export declare const Avatar: React.FunctionComponent<AvatarProps>;
export {};
