import * as tslib_1 from "tslib";
/** @jsx jsx */
import { jsx } from "@emotion/core";
import { Text } from "./Text";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
/**
 * Use a badge to indicate a count in a menu, such as unread messages.
 */
export var Badge = function (_a) {
    var children = _a.children, other = tslib_1.__rest(_a, ["children"]);
    var theme = useTheme();
    return (jsx(Text, tslib_1.__assign({ variant: "body", component: "span", css: {
            color: "white",
            fontSize: "calc(" + theme.fontSizes[0] + " - 0.15rem)",
            fontWeight: "bold",
            display: "inline-block",
            borderRadius: "32px",
            minWidth: "19px",
            textAlign: "center",
            textTransform: "uppercase",
            padding: "1px 6px",
            background: theme.colors.palette.blue.base
        } }, other), children));
};
Badge.propTypes = {
    children: PropTypes.node
};
