import * as React from "react";
interface BreadcrumbsProps extends React.HTMLAttributes<HTMLDivElement> {
    size?: "md" | "lg";
    /** A list of BreadcrumbItem children */
    children: React.ReactElement<BreadcrumbItemProps> | React.ReactElement<BreadcrumbItemProps>[];
    overflowX?: number;
}
/**
 * Breadcrumbs are useful to orient the user on your site,
 * especially when working with hierarchies of content.
 */
export declare const Breadcrumbs: React.FunctionComponent<BreadcrumbsProps>;
interface BreadcrumbItemProps extends React.LiHTMLAttributes<HTMLLIElement> {
    inverted?: boolean;
    size?: "md" | "lg";
}
/**
 *  Each item in a list of breadcrumbs.
 */
export declare const BreadcrumbItem: React.FunctionComponent<BreadcrumbItemProps>;
export {};
