import * as React from "react";
export declare function useCollapse(defaultShow?: boolean): {
    show: boolean;
    id: string;
    buttonProps: {
        onClick: () => void;
        "aria-controls": string;
        "aria-expanded": boolean;
    };
    collapseProps: {
        id: string;
        show: boolean;
    };
};
interface CollapseProps extends React.HTMLAttributes<HTMLDivElement> {
    /** A unique id required for accessibility purposes. */
    id: string;
    /** Controls whether the children should be visible */
    show: boolean;
    /** Any element that you want to reveal */
    children: React.ReactNode;
}
/**
 * Hide and reveal content with an animation. Supports dynamic
 * heights.
 */
export declare const Collapse: React.FunctionComponent<CollapseProps>;
export declare function usePrevious<T>(value: T): T | null;
export {};
