import * as React from "react";
export interface DialogProps extends React.HTMLAttributes<HTMLDivElement> {
    /** Whether the dialog is showing */
    isOpen: boolean;
    /** An optional title. If set, a header will be added to your dialog. */
    title?: string;
    /** Fill the entire screen on mobile devices */
    mobileFullscreen?: boolean;
    /** A callback for closing the dialog. */
    onRequestClose: () => void;
    /** The contents of the dialog */
    children: React.ReactNode;
}
/**
 * A dialog is useful for displaying infomation that
 * commands the user's attention.
 */
export declare const Dialog: React.FunctionComponent<DialogProps>;
interface DialogHeaderProps extends React.HTMLAttributes<HTMLDivElement> {
    /** The title of the header */
    title: string;
    /** An optional callback for closing the dialog. If set, a close button will be added to the header */
    onRequestClose?: () => void;
}
export declare const DialogHeader: React.FunctionComponent<DialogHeaderProps>;
export {};
