import * as React from "react";
import PropTypes from "prop-types";
interface ErrorBoundaryProps {
    /** The title of the error message. */
    title?: string;
    /** The subtitle of the error message. */
    subtitle?: string;
    /** The regular content you want to render. Errors in this tree will be captured. */
    children?: React.ReactNode;
}
interface ErrorBoundaryState {
    error: Error | null;
}
export declare class ErrorBoundary extends React.Component<ErrorBoundaryProps, ErrorBoundaryState> {
    state: {
        error: null;
    };
    static propTypes: {
        title: PropTypes.Requireable<string>;
        subtitle: PropTypes.Requireable<string>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    static defaultProps: {
        title: string;
        subtitle: string;
    };
    componentDidCatch(error: Error): void;
    render(): {} | null | undefined;
}
export {};
