import * as tslib_1 from "tslib";
/** @jsx jsx */
import { jsx } from "@emotion/core";
import * as React from "react";
import { Alert } from "./Alert";
import PropTypes from "prop-types";
var ErrorBoundary = /** @class */ (function (_super) {
    tslib_1.__extends(ErrorBoundary, _super);
    function ErrorBoundary() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            error: null
        };
        return _this;
    }
    ErrorBoundary.prototype.componentDidCatch = function (error) {
        this.setState({ error: error });
    };
    ErrorBoundary.prototype.render = function () {
        if (this.state.error) {
            //render error message
            return (jsx("div", { css: { padding: "1rem" } },
                jsx(Alert, { type: "assertive", intent: "danger", title: this.props.title, subtitle: this.props.subtitle })));
        }
        else {
            //when there's not an error, render children untouched
            return this.props.children;
        }
    };
    ErrorBoundary.propTypes = {
        title: PropTypes.string,
        subtitle: PropTypes.string,
        children: PropTypes.node
    };
    ErrorBoundary.defaultProps = {
        title: "An unexpected error has occurred.",
        subtitle: "Please try reloading. If the problem persists, please contact us for help."
    };
    return ErrorBoundary;
}(React.Component));
export { ErrorBoundary };
