import * as tslib_1 from "tslib";
import * as React from "react";
import createFocusTrap from "focus-trap";
export function useFocusElement(elementRef, showing, options) {
    if (options === void 0) { options = {}; }
    var trapRef = React.useRef(null);
    var focusElement = React.useCallback(function () {
        if (!elementRef.current) {
            console.error("No element found to found");
            return;
        }
        var trap = createFocusTrap(elementRef.current, tslib_1.__assign({ escapeDeactivates: false, clickOutsideDeactivates: true, fallbackFocus: '[tabindex="-1"]' }, options));
        trapRef.current = trap;
        trap.activate();
    }, [elementRef, options]);
    function focusTrigger() {
        if (!trapRef.current) {
            return;
        }
        trapRef.current.deactivate();
    }
    React.useEffect(function () {
        if (showing)
            focusElement();
        else
            focusTrigger();
    }, [showing, focusElement]);
    return {
        focusElement: focusElement,
        focusTrigger: focusTrigger
    };
}
