import * as React from "react";
import ResizeObserver from "resize-observer-polyfill";
export function useMeasure(ref) {
    var _a = React.useState({
        left: 0,
        top: 0,
        width: 0,
        height: 0
    }), bounds = _a[0], setBounds = _a[1];
    var observer = React.useState(function () {
        return new ResizeObserver(function (_a) {
            var entry = _a[0];
            setBounds(entry.contentRect);
        });
    })[0];
    React.useEffect(function () {
        if (ref.current) {
            var _a = ref.current.getBoundingClientRect(), left = _a.left, top_1 = _a.top, width = _a.width, height = _a.height;
            setBounds({ left: left, top: top_1, width: width, height: height });
            observer.observe(ref.current);
        }
        return function () { return observer.disconnect(); };
    }, [observer, ref, setBounds]);
    return { bounds: bounds };
}
