import { useState, useEffect } from "react";
function getSize() {
    if (typeof window === "undefined") {
        return {};
    }
    return {
        innerHeight: window.innerHeight,
        innerWidth: window.innerWidth,
        outerHeight: window.outerHeight,
        outerWidth: window.outerWidth
    };
}
export function useWindowSize() {
    var _a = useState(getSize()), windowSize = _a[0], setWindowSize = _a[1];
    function handleResize() {
        setWindowSize(getSize());
    }
    useEffect(function () {
        window.addEventListener("resize", handleResize);
        return function () {
            window.removeEventListener("resize", handleResize);
        };
    }, []);
    return windowSize;
}
