import * as React from "react";
export declare type LayerElevations = "xs" | "sm" | "md" | "lg" | "xl";
interface LayerProps extends React.HTMLAttributes<HTMLElement> {
    /** The size of the shadow to use */
    elevation?: LayerElevations;
    /** The contents of the layer */
    children: React.ReactNode;
}
export declare const Layer: React.RefForwardingComponent<React.Ref<HTMLDivElement>, LayerProps>;
interface LayerLoadingProps extends React.HTMLAttributes<HTMLDivElement> {
    /** Whether the layer is currently loading */
    loading: boolean;
    /** An optional label to display below the loading spinner */
    label?: string;
}
export declare const LayerLoading: React.FunctionComponent<LayerLoadingProps>;
export {};
