import * as React from "react";
import { OnPressFunction } from "touchable-hook";
export interface ListProps extends React.HTMLAttributes<HTMLDivElement> {
    /** A series of ListItem elements */
    children?: React.ReactNode;
}
export declare const List: React.FunctionComponent<ListProps>;
interface ListItemProps extends React.HTMLAttributes<any> {
    onPress?: OnPressFunction;
    component?: React.ReactType<any>;
    /** An icon or avatar to appear to the left of the text content */
    contentBefore?: React.ReactNode;
    /** an icon to appear to the right of the text content */
    contentAfter?: React.ReactNode;
    /** whether the list item is interactive (ie., can be clicked as a button) */
    interactive?: boolean;
    /** optional third row of content */
    children?: React.ReactNode;
    /** whether primary and secondary text should be wrapped */
    wrap?: boolean;
    /** The primary text content of the list item */
    primary: string | React.ReactNode;
    /** the secondary text content */
    secondary?: string | React.ReactNode;
    [key: string]: any;
}
export declare const ListItem: React.FunctionComponent<ListItemProps>;
interface ListSectionProps extends React.HTMLAttributes<HTMLDivElement> {
    /** A title of the section */
    title: string;
    children?: React.ReactNode;
    /** whether the title should stick to the top of the scrollable content */
    sticky?: boolean;
}
export declare const ListSection: React.FunctionComponent<ListSectionProps>;
export {};
