import * as React from "react";
import { OnPressFunction } from "touchable-hook";
declare type ChildrenType = React.ReactElement<MenuItemProps>;
export interface MenuListProps extends React.HTMLAttributes<HTMLDivElement> {
    /** A combination of MenuItem, MenuLabel, and MenuDivider children */
    children: ChildrenType | ChildrenType[];
    /** Useful if you are providing your own MenuItem children */
    focusableChildren?: React.ComponentType<any>[];
}
export declare const MenuList: React.FunctionComponent<MenuListProps>;
interface MenuItemProps extends React.HTMLAttributes<Element> {
    /** Called when the menu item is selected. Generally use this instead of onClick. */
    onPress?: OnPressFunction;
    /** Disable this menu item */
    disabled?: boolean;
    /** Pass in a string to use standard text styles. Otherwise, pass in any other node. */
    children: React.ReactNode;
    /** Provide a custom component. Eg., ReactRouter Link */
    component?: React.ReactType<any>;
    /** optional content to appear to the right of the menu text */
    contentAfter?: React.ReactNode;
    /** optional content to appear to the left of the menu text */
    contentBefore?: React.ReactNode;
    [key: string]: any;
}
export declare const MenuItem: React.FunctionComponent<MenuItemProps>;
declare type MenuDividerProps = React.HTMLAttributes<HTMLDivElement>;
export declare function MenuDivider(props: MenuDividerProps): JSX.Element;
interface MenuLabelProps extends React.HTMLAttributes<HTMLDivElement> {
    /** The name of the label */
    children?: React.ReactNode;
}
export declare const MenuLabel: React.FunctionComponent<MenuLabelProps>;
export {};
