import * as React from "react";
import { SpringConfig } from "react-spring";
export interface ScrollViewHandles {
    scrollTo(x?: number, y?: number): void;
}
export interface ScrollViewProps extends React.HTMLAttributes<HTMLDivElement> {
    /** enable overflow-y scrolling */
    overflowY?: boolean;
    /** enable overflow-x scrolling */
    overflowX?: boolean;
    /** spring animation configuration */
    scrollAnimationConfig?: SpringConfig;
    /** access to ref dom element */
    innerRef?: React.RefObject<any>;
}
export declare const ScrollView: React.ForwardRefExoticComponent<ScrollViewProps & React.RefAttributes<ScrollViewHandles>>;
