import * as tslib_1 from "tslib";
/** @jsx jsx */
import { jsx, css } from "@emotion/core";
import * as React from "react";
import { animated, useSpring } from "react-spring";
import { useFocusElement } from "./Hooks/focus";
import { Portal } from "./Portal";
import PropTypes from "prop-types";
import useScrollLock from "use-scroll-lock";
import { useTheme } from "./Theme/Providers";
import { useMeasure } from "./Hooks/use-measure";
import { usePrevious } from "./Hooks/previous";
import { useHideBody } from "./Hooks/hide-body";
import { useGestureResponder } from "react-gesture-responder";
export var RequestCloseContext = React.createContext(function () { });
var positions = function (theme) { return ({
    left: css(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n    top: 0;\n    left: 0;\n    bottom: 0;\n    width: auto;\n    max-width: 100vw;\n    ", " {\n      max-width: 400px;\n    }\n    &::before {\n      content: \"\";\n      position: fixed;\n      width: 100vw;\n      top: 0;\n      background: ", ";\n      bottom: 0;\n      right: 100%;\n    }\n  "], ["\n    top: 0;\n    left: 0;\n    bottom: 0;\n    width: auto;\n    max-width: 100vw;\n    ", " {\n      max-width: 400px;\n    }\n    &::before {\n      content: \"\";\n      position: fixed;\n      width: 100vw;\n      top: 0;\n      background: ", ";\n      bottom: 0;\n      right: 100%;\n    }\n  "])), theme.mediaQueries.md, theme.colors.background.layer),
    right: css(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n    top: 0;\n    right: 0;\n    bottom: 0;\n    width: auto;\n    max-width: 100vw;\n    ", " {\n      max-width: 400px;\n    }\n    &::after {\n      content: \"\";\n      position: fixed;\n      width: 100vw;\n      top: 0;\n      left: 100%;\n      background: ", ";\n      bottom: 0;\n    }\n  "], ["\n    top: 0;\n    right: 0;\n    bottom: 0;\n    width: auto;\n    max-width: 100vw;\n    ", " {\n      max-width: 400px;\n    }\n    &::after {\n      content: \"\";\n      position: fixed;\n      width: 100vw;\n      top: 0;\n      left: 100%;\n      background: ", ";\n      bottom: 0;\n    }\n  "])), theme.mediaQueries.md, theme.colors.background.layer),
    bottom: css(templateObject_3 || (templateObject_3 = tslib_1.__makeTemplateObject(["\n    bottom: 0;\n    left: 0;\n    right: 0;\n    height: auto;\n    width: 100%;\n    padding: 0;\n    box-sizing: border-box;\n    ", " {\n      max-height: 400px;\n    }\n    & > div {\n      border-top-right-radius: ", ";\n      border-top-left-radius: ", ";\n      padding-bottom: ", ";\n      padding-top: ", ";\n    }\n    &::before {\n      content: \"\";\n      position: fixed;\n      height: 100vh;\n      left: 0;\n      right: 0;\n      background: ", ";\n      top: 100%;\n    }\n  "], ["\n    bottom: 0;\n    left: 0;\n    right: 0;\n    height: auto;\n    width: 100%;\n    padding: 0;\n    box-sizing: border-box;\n    ", " {\n      max-height: 400px;\n    }\n    & > div {\n      border-top-right-radius: ", ";\n      border-top-left-radius: ", ";\n      padding-bottom: ", ";\n      padding-top: ", ";\n    }\n    &::before {\n      content: \"\";\n      position: fixed;\n      height: 100vh;\n      left: 0;\n      right: 0;\n      background: ", ";\n      top: 100%;\n    }\n  "])), theme.mediaQueries.md, theme.radii.lg, theme.radii.lg, theme.spaces.lg, theme.spaces.xs, theme.colors.background.layer),
    top: css(templateObject_4 || (templateObject_4 = tslib_1.__makeTemplateObject(["\n    top: 0;\n    left: 0;\n    right: 0;\n    height: auto;\n    width: 100%;\n    padding: 0;\n    box-sizing: border-box;\n    ", " {\n      max-height: 400px;\n    }\n    & > div {\n      border-bottom-right-radius: ", ";\n      border-bottom-left-radius: ", ";\n      padding-bottom: ", ";\n      padding-top: ", ";\n    }\n    &::before {\n      content: \"\";\n      position: fixed;\n      height: 100vh;\n      left: 0;\n      right: 0;\n      background: ", ";\n      transform: translateY(-100%);\n    }\n  "], ["\n    top: 0;\n    left: 0;\n    right: 0;\n    height: auto;\n    width: 100%;\n    padding: 0;\n    box-sizing: border-box;\n    ", " {\n      max-height: 400px;\n    }\n    & > div {\n      border-bottom-right-radius: ", ";\n      border-bottom-left-radius: ", ";\n      padding-bottom: ", ";\n      padding-top: ", ";\n    }\n    &::before {\n      content: \"\";\n      position: fixed;\n      height: 100vh;\n      left: 0;\n      right: 0;\n      background: ", ";\n      transform: translateY(-100%);\n    }\n  "])), theme.mediaQueries.md, theme.radii.lg, theme.radii.lg, theme.spaces.xs, theme.spaces.md, theme.colors.background.layer)
}); };
/**
 * A sheet is useful for displaying app based navigation (typically on the left),
 * supplemental information (on the right), or menu options (typically
 * from the bottom on mobile devices).
 *
 * Sheets should not be tied to specific URLs.
 */
export var Sheet = function (_a) {
    var isOpen = _a.isOpen, children = _a.children, _b = _a.animationConfig, animationConfig = _b === void 0 ? { mass: 0.8, tension: 185, friction: 24 } : _b, _c = _a.position, position = _c === void 0 ? "right" : _c, onRequestClose = _a.onRequestClose, props = tslib_1.__rest(_a, ["isOpen", "children", "animationConfig", "position", "onRequestClose"]);
    var theme = useTheme();
    var _d = React.useState(false), mounted = _d[0], setMounted = _d[1];
    var ref = React.useRef(null);
    useFocusElement(ref, isOpen);
    var bounds = useMeasure(ref).bounds;
    var previousBounds = usePrevious(bounds);
    var positionsStyle = React.useMemo(function () { return positions(theme); }, [theme]);
    var bindHideBody = useHideBody(isOpen).bind;
    var scrollableRef = React.useRef(null);
    var startVelocity = React.useRef(null);
    var _e = React.useState(isOpen), visible = _e[0], setVisible = _e[1];
    var isOpenRef = React.useRef(isOpen);
    useScrollLock(isOpen, scrollableRef);
    // this is a weird-ass hack to allow us to access isOpen
    // state within our onRest callback. Closures!!
    React.useEffect(function () {
        isOpenRef.current = isOpen;
    }, [isOpen]);
    // A spring which animates the sheet position
    var _f = useSpring(function () {
        var _a = getDefaultPositions(isOpen, position), x = _a.x, y = _a.y;
        return {
            xy: [x, y],
            config: animationConfig,
            onStart: function () {
                setVisible(true);
            },
            onRest: function () {
                if (!isOpenRef.current) {
                    setVisible(false);
                }
            }
        };
    }), xy = _f[0].xy, setSpring = _f[1];
    // A spring which animates the overlay opacity
    var _g = useSpring(function () {
        return {
            opacity: isOpen ? 1 : 0,
            config: animationConfig
        };
    }), opacity = _g[0].opacity, setOpacity = _g[1];
    /**
     * Handle gestures
     */
    // our overlay pan responder
    var bindTouchable = useGestureResponder({
        onStartShouldSet: function () { return true; },
        onRelease: function (_a) {
            var initial = _a.initial, xy = _a.xy;
            // ignore swipes on release
            if (initial[0] === xy[0] && initial[1] === xy[1]) {
                setTimeout(function () { return onRequestClose(); }, 0);
            }
        }
    }).bind;
    function onEnd(state) {
        var close = shouldCloseOnRelease(state, bounds, position);
        if (close) {
            onRequestClose();
            return;
        }
        animateToPosition();
    }
    // our main sheet pan responder
    var bind = useGestureResponder({
        onStartShouldSet: function () {
            return false;
        },
        onMoveShouldSet: function (_a) {
            var initial = _a.initial, initialDirection = _a.initialDirection, xy = _a.xy;
            var gestureDirection = initialDirection[0] !== 0 ? "horizontal" : "vertical";
            if (gestureDirection === "horizontal" &&
                (position === "left" || position === "right")) {
                return true;
            }
            else if (gestureDirection === "vertical" &&
                (position === "top" || position === "bottom")) {
                return true;
            }
            return false;
        },
        onRelease: function (state) {
            startVelocity.current = state.velocity;
            onEnd(state);
        },
        onTerminate: onEnd,
        onMove: function (state) {
            var _a = getDragCoordinates(state, position), x = _a.x, y = _a.y;
            var opacity = getDragOpacity(state, bounds, position);
            setSpring({
                xy: [x, y],
                immediate: true,
                config: animationConfig
            });
            setOpacity({ opacity: opacity });
        }
    }, {
        enableMouse: false
    }).bind;
    /**
     * Animate the sheet to open / close position
     * depending on position and state.
     * @param immediate
     */
    var animateToPosition = React.useCallback(function (immediate) {
        if (immediate === void 0) { immediate = false; }
        // when the user makes the gesture to close we start
        // our animation with their last velocity
        var width = bounds.width, height = bounds.height;
        var velocity = startVelocity.current;
        startVelocity.current = null;
        var _a = getDefaultPositions(isOpen, position, width, height), x = _a.x, y = _a.y;
        setSpring({
            config: tslib_1.__assign({}, animationConfig, { velocity: velocity || 0 }),
            xy: [x, y],
            immediate: immediate
        });
        setOpacity({ opacity: isOpen ? 1 : 0 });
    }, [animationConfig, bounds, isOpen, position, setOpacity, setSpring]);
    /**
     * Handle close / open non-gestured controls
     */
    React.useEffect(function () {
        var width = bounds.width;
        // a bit of a hack to prevent the sheet from being
        // displayed at the wrong position before properly
        // measuring it.
        var hasMounted = previousBounds && previousBounds.width === 0 && width !== 0;
        if (hasMounted && !mounted) {
            setMounted(true);
        }
        animateToPosition(!mounted);
    }, [animateToPosition, position, mounted, bounds, previousBounds, isOpen]);
    /**
     * Convert our positions to translate3d
     */
    var interpolate = function (x, y) {
        return "translate3d(" + taper(x, position) + "px, " + taper(y, position) + "px, 0)";
    };
    return (jsx(Portal, null,
        jsx("div", tslib_1.__assign({}, bindHideBody, { "aria-hidden": !isOpen }, bind, { onKeyDown: function (e) {
                if (e.key === "Escape") {
                    e.stopPropagation();
                    onRequestClose();
                }
            }, css: {
                bottom: 0,
                left: 0,
                overflow: "auto",
                width: "100vw",
                height: "100vh",
                pointerEvents: isOpen ? "auto" : "none",
                visible: visible ? "visible" : "hidden",
                zIndex: theme.zIndices.overlay,
                position: "fixed",
                content: "''",
                right: 0,
                top: 0,
                WebkitTapHighlightColor: "transparent"
            } }),
            jsx(animated.div, tslib_1.__assign({ style: { opacity: opacity } }, bindTouchable, { css: {
                    touchAction: "none",
                    position: "absolute",
                    willChange: "opacity",
                    top: 0,
                    left: 0,
                    pointerEvents: isOpen ? "auto" : "none",
                    right: 0,
                    bottom: 0,
                    background: theme.colors.background.overlay
                } })),
            jsx(animated.div, tslib_1.__assign({ tabIndex: -1, ref: ref, className: "Sheet", onClick: function (e) {
                    e.stopPropagation();
                }, style: {
                    transform: xy.to(interpolate)
                }, css: [
                    {
                        willChange: "transform",
                        visibility: visible ? "visible" : "hidden",
                        outline: "none",
                        zIndex: theme.zIndices.modal,
                        opacity: 1,
                        position: "fixed"
                    },
                    positionsStyle[position]
                ] }, props),
                jsx(RequestCloseContext.Provider, { value: onRequestClose },
                    jsx("div", { ref: scrollableRef, className: "Sheet__container", css: {
                            background: theme.colors.background.layer,
                            height: "100%"
                        } }, children))))));
};
Sheet.propTypes = {
    isOpen: PropTypes.bool,
    onRequestClose: PropTypes.func,
    children: PropTypes.node,
    position: PropTypes.oneOf(["left", "top", "right", "bottom"]),
    animationConfig: PropTypes.shape({
        tension: PropTypes.number,
        mass: PropTypes.number,
        friction: PropTypes.number
    })
};
/**
 * Determine the sheet location given
 * its position and the gesture input
 */
function getDragCoordinates(_a, position) {
    var delta = _a.delta;
    var dx = delta[0], dy = delta[1];
    switch (position) {
        case "left":
        case "right":
            return { x: dx, y: 0 };
        case "top":
        case "bottom":
            return { y: dy, x: 0 };
    }
}
/**
 * Determine if the sheet should close on
 * release given a position.
 */
function shouldCloseOnRelease(_a, _b, position) {
    var delta = _a.delta, velocity = _a.velocity, direction = _a.direction;
    var width = _b.width, height = _b.height;
    var dx = delta[0], dy = delta[1];
    switch (position) {
        case "left": {
            // quick swipe
            if (velocity > 0.2 && direction[0] < 0) {
                return true;
            }
            if (dx < 0 && Math.abs(dx) > width / 2) {
                return true;
            }
            return false;
        }
        case "top": {
            if (velocity > 0.2 && direction[1] <= -1) {
                return true;
            }
            if (dy < 0 && Math.abs(dy) > height / 2) {
                return true;
            }
            return false;
        }
        case "right": {
            if (velocity > 0.2 && direction[0] >= 1) {
                return true;
            }
            if (dx > 0 && Math.abs(dx) > width / 2) {
                return true;
            }
            return false;
        }
        case "bottom": {
            if (velocity > 0.2 && direction[1] > 0) {
                return true;
            }
            if (dy > 0 && Math.abs(dy) > height / 2) {
                return true;
            }
            return false;
        }
    }
}
/**
 * Determine the overlay opacity
 */
function getDragOpacity(_a, _b, position) {
    var delta = _a.delta;
    var width = _b.width, height = _b.height;
    var dx = delta[0], dy = delta[1];
    switch (position) {
        case "left": {
            return dx < 0 ? 1 - Math.abs(dx) / width : 1;
        }
        case "top": {
            return dy < 0 ? 1 - Math.abs(dy) / height : 1;
        }
        case "right": {
            return dx > 0 ? 1 - Math.abs(dx) / width : 1;
        }
        case "bottom": {
            return dy > 0 ? 1 - Math.abs(dy) / height : 1;
        }
    }
}
/**
 * Determine the default x, y position
 * for the various positions
 */
function getDefaultPositions(isOpen, position, width, height) {
    if (width === void 0) { width = 400; }
    if (height === void 0) { height = 400; }
    switch (position) {
        case "left": {
            return {
                x: isOpen ? 0 : -width,
                y: 0
            };
        }
        case "top": {
            return {
                x: 0,
                y: isOpen ? 0 : -height
            };
        }
        case "right": {
            return {
                x: isOpen ? 0 : width,
                y: 0
            };
        }
        case "bottom": {
            return {
                x: 0,
                y: isOpen ? 0 : height
            };
        }
    }
}
/**
 * Add friction to the sheet position if it's
 * moving inwards
 * @param x
 */
function taper(x, position) {
    if (position === "left" || position === "top") {
        if (x <= 0) {
            return x;
        }
        return x * 0.4;
    }
    if (x >= 0) {
        return x;
    }
    return x * 0.4;
}
/**
 * Compare two positions and determine the direction
 * the gesture is moving (horizontal or vertical)
 *
 * If the difference is the same, return null. This happends
 * when only a click is registered.
 *
 * @param initial
 * @param xy
 */
export function getDirection(initial, xy) {
    var xDiff = Math.abs(initial[0] - xy[0]);
    var yDiff = Math.abs(initial[1] - xy[1]);
    // just a regular click
    if (xDiff === yDiff) {
        return null;
    }
    if (xDiff > yDiff) {
        return "horizontal";
    }
    return "vertical";
}
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
