import * as tslib_1 from "tslib";
/** @jsx jsx */
import { jsx } from "@emotion/core";
import * as React from "react";
import { StackTitle as Title, Stack as OriginalStack, StackItem as OriginalStackItem, StackContext } from "react-gesture-stack";
import { Text } from "./Text";
import { Button } from "./Button";
import { IconChevronLeft } from "./Icons";
import { useTheme } from "./Theme/Providers";
export function StackTitle(_a) {
    var title = _a.title, _b = _a.backTitle, backTitle = _b === void 0 ? "Back" : _b, other = tslib_1.__rest(_a, ["title", "backTitle"]);
    var _c = React.useContext(StackContext), index = _c.index, changeIndex = _c.changeIndex;
    return (jsx(Title, tslib_1.__assign({ backButton: jsx(Button, { variant: "ghost", onPress: function () { return changeIndex(index - 1); }, iconBefore: jsx(IconChevronLeft, null) }, backTitle), title: title ? (jsx(Text, { gutter: false, variant: "h6" }, title)) : null }, other)));
}
export function Stack(props) {
    var theme = useTheme();
    return (jsx(OriginalStack, tslib_1.__assign({ css: {
            ".Stack__nav": {
                background: theme.colors.background.tint1,
                boxShadow: theme.shadows.xs
            }
        } }, props)));
}
export function StackItem(props) {
    var theme = useTheme();
    var dark = theme.colors.mode === "dark";
    function generateShadow(x) {
        return dark
            ? "rgba(0, 0, 0, " + x + ") 0px 0px 12px -2px"
            : "rgba(160, 160, 160, " + x + ") 0px 0px 12px -2px";
    }
    return (jsx(OriginalStackItem, tslib_1.__assign({ generateShadow: generateShadow, style: {
            background: undefined
        }, css: {
            backgroundColor: theme.colors.background.default,
            "& .StackItem__overlay": {
                backgroundColor: theme.colors.background.tint1 + "!important"
            }
        } }, props)));
}
