import * as React from "react";
import { Position } from "toasted-notes";
import { AlertIntentions } from "./Alert";
import { Theme } from "./Theme";
interface RenderArgs {
    id: string;
    onClose: () => void;
}
interface Toast {
    position?: keyof typeof Position;
    duration?: number | null;
    title?: string;
    subtitle?: string;
    theme?: Theme;
    intent?: AlertIntentions;
    render?: (options: RenderArgs) => React.ReactNode;
}
/**
 * We export toast as a hook because it allows us to consume
 * the current theme context that it's in and pass that
 * onto our render function
 */
export declare function useToast(): ({ position, duration, render, title, subtitle, intent }: Toast) => void;
export {};
