import * as React from "react";
import { Placements } from "./Positions";
export declare const arrowStyles: (color: string) => import("@emotion/utils").SerializedStyles;
interface TooltipProps extends React.HTMLAttributes<HTMLDivElement> {
    /** The content of the tooltip */
    content: React.ReactNode;
    /** Where the tooltip should be placed */
    placement?: Placements;
    /** the target element for the tooltip */
    children: React.ReactNode;
    /** delay showing the tooltip (ms) */
    delayIn?: number;
    /** delay hiding the tooltip (ms) */
    delayOut?: number;
    /** Prevents the tooltip from disappearing when the user hovers over it */
    hover?: boolean;
    maxWidth?: string;
}
export declare const Tooltip: React.FunctionComponent<TooltipProps>;
export {};
