import * as tslib_1 from "tslib";
/** @jsx jsx */
import { jsx } from "@emotion/core";
import * as React from "react";
import { useTouchable } from "touchable-hook";
import cx from "classnames";
import { safeBind } from "./Hooks/compose-bind";
export var Touchable = React.forwardRef(function (_a, ref) {
    var children = _a.children, _b = _a.className, className = _b === void 0 ? "" : _b, delay = _a.delay, pressExpandPx = _a.pressExpandPx, _c = _a.terminateOnScroll, terminateOnScroll = _c === void 0 ? true : _c, _d = _a.component, Component = _d === void 0 ? "button" : _d, onPress = _a.onPress, _e = _a.disabled, disabled = _e === void 0 ? false : _e, other = tslib_1.__rest(_a, ["children", "className", "delay", "pressExpandPx", "terminateOnScroll", "component", "onPress", "disabled"]);
    var isLink = other.to || other.href;
    var _f = useTouchable({
        onPress: onPress,
        disabled: disabled,
        delay: delay,
        terminateOnScroll: terminateOnScroll,
        pressExpandPx: pressExpandPx,
        behavior: isLink ? "link" : "button"
    }), bind = _f.bind, hover = _f.hover, active = _f.active;
    return (jsx(Component, tslib_1.__assign({ className: cx("Touchable", className, {
            "Touchable--hover": hover,
            "Touchable--active": active
        }) }, safeBind({ ref: ref }, bind, other)), children));
});
