/** @jsx jsx */
import { jsx } from "@emotion/core";
import { InputGroup, Select, Input, TextArea, Check } from "../Form";
import { Button } from "../Button";
import theme from "../Theme";
import { Layer } from "../Layer";
import { storiesOf } from "@storybook/react";
import { IconArrowRight, IconAlignCenter } from "../Icons";
import { IconButton } from "../IconButton";
export var FormStories = storiesOf("Forms", module)
    .add("input types", function () { return (jsx("div", { css: {
        display: "flex",
        justifyContent: "center",
        paddingTop: theme.spaces.xl,
        paddingBottom: theme.spaces.xl
    } },
    jsx(Layer, { css: { maxWidth: "400px", width: "100%" }, elevation: "lg" },
        jsx("form", { css: { padding: theme.spaces.lg } },
            jsx(InputGroup, { error: "Required field", label: "Email address" },
                jsx(Input, { placeholder: "ben.mcmahen@gmail.com" })),
            jsx(InputGroup, { label: "Gender" },
                jsx(Select, null,
                    jsx("option", null, "Male"),
                    jsx("option", null, "Female"),
                    jsx("option", null, "Other"))),
            jsx(InputGroup, { label: "Gender" },
                jsx("div", null,
                    jsx(Check, { label: "Male", checked: true }),
                    jsx(Check, { label: "Female" }),
                    jsx(Check, { label: "Other" }))),
            jsx(InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                jsx(TextArea, { placeholder: "Something about me" })),
            jsx("div", { css: { textAlign: "right", marginTop: "" + theme.spaces.md } },
                jsx(Button, { intent: "primary" }, "Submit")))))); })
    .add("sizes", function () {
    return (jsx("div", { css: {
            margin: "2rem",
            width: "800px",
            "& > div": {
                padding: "1rem",
                "& > *": {
                    margin: "1rem"
                }
            }
        } },
        jsx("div", null,
            jsx(Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "sm" }),
            jsx(Button, { size: "sm" }, "Small"),
            jsx(Button, { component: "a", href: "#", size: "sm" }, "Small"),
            jsx(Button, { component: "a", href: "#", size: "sm", iconAfter: jsx(IconArrowRight, null) }, "Small")),
        jsx("div", { css: { display: "flex", alignItems: "cente" } },
            jsx(Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "md" }),
            jsx(Button, { size: "md" }, "Medium"),
            jsx(Button, { component: "a", href: "#", size: "md" }, "Medium"),
            jsx(Button, { component: "a", href: "#", size: "md", iconAfter: jsx(IconArrowRight, null) }, "Medium"),
            jsx(IconButton, { icon: jsx(IconAlignCenter, null), label: "Align center" })),
        jsx("div", null,
            jsx(Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "lg" }),
            jsx(Button, { size: "lg" }, "Large"),
            jsx(Button, { component: "a", href: "#", size: "lg" }, "Large"),
            jsx(Button, { component: "a", href: "#", size: "lg", iconAfter: jsx(IconArrowRight, null) }, "Large")),
        jsx("div", null)));
})
    .add("disabled states", function () { return (jsx("div", { css: {
        display: "flex",
        justifyContent: "center",
        paddingTop: theme.spaces.xl,
        paddingBottom: theme.spaces.xl
    } },
    jsx("div", { css: { overflowX: "auto" } },
        jsx("form", { css: { display: "flex", padding: theme.spaces.lg } },
            jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                jsx(InputGroup, { label: "Email address" },
                    jsx(Input, { placeholder: "ben.mcmahen@gmail.com" })),
                jsx(InputGroup, { label: "Email address" },
                    jsx(Input, { disabled: true, placeholder: "ben.mcmahen@gmail.com" })),
                jsx(InputGroup, { error: "This field is required", label: "Email address" },
                    jsx(Input, { placeholder: "ben.mcmahen@gmail.com" }))),
            jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                jsx(InputGroup, { label: "Gender" },
                    jsx(Select, null,
                        jsx("option", null, "Male"),
                        jsx("option", null, "Female"),
                        jsx("option", null, "Other"))),
                jsx(InputGroup, { label: "Gender" },
                    jsx(Select, { disabled: true },
                        jsx("option", null, "Male"),
                        jsx("option", null, "Female"),
                        jsx("option", null, "Other"))),
                jsx(InputGroup, { error: "This field is required", label: "Gender" },
                    jsx(Select, null,
                        jsx("option", null, "Male"),
                        jsx("option", null, "Female"),
                        jsx("option", null, "Other")))),
            jsx("div", { css: { minWidth: "150px", margin: "1rem" } },
                jsx(InputGroup, { label: "Gender" },
                    jsx("div", null,
                        jsx(Check, { disabled: true, label: "Male", checked: true }),
                        jsx(Check, { label: "Female" }),
                        jsx(Check, { label: "Other" }))),
                jsx(InputGroup, { error: "You must select a gender", label: "Gender" },
                    jsx("div", null,
                        jsx(Check, { disabled: true, label: "Male", checked: true }),
                        jsx(Check, { label: "Female" }),
                        jsx(Check, { label: "Other" })))),
            jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                jsx(InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    jsx(TextArea, { placeholder: "Something about me" })),
                jsx(InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    jsx(TextArea, { disabled: true, placeholder: "Something about me" })),
                jsx(InputGroup, { error: "This field is required", label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    jsx(TextArea, { placeholder: "Something about me" })),
                jsx("div", { css: { textAlign: "right", marginTop: "" + theme.spaces.md } },
                    jsx(Button, { disabled: true, intent: "primary" }, "Submit"))))))); });
