/** @jsx jsx */
import { jsx } from "@emotion/core";
import { List, ListItem, ListSection } from "../List";
import { storiesOf } from "@storybook/react";
import { Layer } from "../Layer";
import theme from "../Theme";
import faker from "faker";
import { Avatar } from "../Avatar";
import { Divider } from "../Divider";
export var CollapseStories = storiesOf("List", module)
    .add("basic", function () {
    return (jsx("div", null,
        jsx(Layer, { elevation: "sm", css: { overflow: "hidden", width: "100%", borderRadius: 0 } },
            jsx(List, null,
                jsx(ListSection, { title: "Hello world" },
                    jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Ben McMahen", secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
                    jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." })),
                jsx(Divider, { muted: true }),
                jsx(ListSection, { title: "Hello world" },
                    jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
                    jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))))));
})
    .add("no wrap", function () {
    return (jsx(Layer, { css: { overflow: "hidden", width: "450px" } },
        jsx("div", { css: {
                height: "1.5rem",
                borderBottom: "1px solid",
                borderBottomColor: theme.colors.border.muted
            } }),
        jsx(List, null,
            jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
            jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))));
})
    .add("support links", function () {
    return (jsx(Layer, { css: { overflow: "hidden", width: "450px" } },
        jsx("div", { css: {
                height: "1.5rem",
                borderBottom: "1px solid",
                borderBottomColor: theme.colors.border.muted
            } }),
        jsx(List, null,
            jsx(ListItem, { component: "a", href: "/", contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
            jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))));
})
    .add("Single label", function () { return (jsx(List, null,
    jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Ben McMahen", wrap: false }))); });
export var ExampleList = function () { return (jsx(List, null,
    jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen" }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
    jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Charles Taylor" }), primary: "Charles Taylor", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Karl Marx" }), primary: "Karl Marx", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Roger Scruton" }), primary: "Roger Scruton", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Martha Nussbaum" }), primary: "Martha Nussbaum", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "David Hume" }), primary: "David Hume", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    jsx(ListItem, { wrap: false, contentBefore: jsx(Avatar, { name: "Simone de Beauvior" }), primary: "Simone de Beauvoir", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))); };
