/** @jsx jsx */
import { jsx } from "@emotion/core";
import { MenuList, MenuItem, MenuDivider, MenuLabel } from "../Menu";
import { storiesOf } from "@storybook/react";
import { IconAirplay, IconUser, IconAlertCircle, IconDelete } from "../Icons";
export var MenuStories = storiesOf("MenuList", module)
    .add("keyboard controls", function () {
    return (jsx(MenuList, { css: { maxWidth: "340px" } },
        jsx(MenuItem, null, "Hello world number 1"),
        jsx(MenuItem, null, "Hello world number 2"),
        jsx(MenuItem, { disabled: true }, "Hello world number 2"),
        jsx(MenuItem, { onSelect: function () {
                alert("selected!");
            } }, "try selecting me"),
        jsx(MenuItem, null, "Hello world number 2"),
        jsx(MenuDivider, null),
        jsx(MenuLabel, null, "Some label"),
        jsx(MenuItem, { contentAfter: "\u2318R" }, "Hello world number 2"),
        jsx(MenuItem, { contentAfter: jsx(IconAirplay, null) }, "Hello world number 2")));
})
    .add("with icons", function () {
    return (jsx(MenuList, { css: { maxWidth: "400px", width: "100%" } },
        jsx(MenuItem, { contentBefore: jsx(IconUser, null) }, "Share"),
        jsx(MenuItem, { contentBefore: jsx(IconAlertCircle, null) }, "Alert"),
        jsx(MenuDivider, null),
        jsx(MenuLabel, null, "Danger actions"),
        jsx(MenuItem, { contentAfter: "\u2318R", contentBefore: jsx(IconDelete, null) }, "Delete with an extrodinarily long title"),
        jsx(MenuItem, { contentAfter: "\u2318R" }, "Delete with an extrodinarily long title"),
        jsx(MenuItem, null, "Delete with an extrodinarily long title that still overflows")));
});
