/** @jsx jsx */
import { jsx } from "@emotion/core";
import { Navbar } from "../Navbar";
import { Text } from "../Text";
import { Button } from "../Button";
import theme from "../Theme";
import { Layer } from "../Layer";
import { storiesOf } from "@storybook/react";
import { Toolbar } from "../Toolbar";
import { DarkMode } from "../Theme/Providers";
export var NavbarStories = storiesOf("Navbar", module)
    .add("elevations", function () {
    return (jsx("div", { css: {
            paddingTop: "55px",
            height: "100vh",
            background: theme.colors.background.tint1
        } },
        jsx(Navbar, { css: {
                color: theme.colors.text.default
            } },
            jsx(Toolbar, null,
                jsx(Text, { variant: "h4", css: { color: "inherit" } }, "Subtitles"),
                jsx("div", { css: { flex: "1" } }),
                jsx(Button, { size: "md", css: { marginRight: theme.spaces.sm }, variant: "ghost" }, "Sign up"),
                jsx(Button, { size: "md", intent: "primary" }, "Login"))),
        jsx(Layer, { elevation: "sm", css: { margin: "3rem", height: "300px" } }, "Hello world")));
})
    .add("dark", function () {
    return (jsx("div", null,
        jsx(DarkMode, null,
            jsx(Navbar, { css: {
                    color: theme.colors.text.default
                } },
                jsx(Toolbar, null,
                    jsx(Text, { gutter: false, variant: "h5" }, "Subtitles"),
                    jsx("div", { css: { flex: "1" } }),
                    jsx(Button, { size: "md", css: { marginRight: theme.spaces.sm }, variant: "ghost" }, "Sign up"),
                    jsx(Button, { size: "md", intent: "primary" }, "Login"))))));
});
