/** @jsx jsx */
import { jsx } from "@emotion/core";
import { storiesOf } from "@storybook/react";
import { Skeleton } from "../Skeleton";
import { Text } from "../Text";
import { List, ListItem } from "../List";
import { Avatar } from "../Avatar";
import faker from "faker";
export var ThemeExamples = storiesOf("Skeleton", module)
    .add("Basic usage", function () { return (jsx("div", { css: { padding: "1rem" } },
    jsx(Text, { variant: "display3" },
        jsx(Skeleton, null)))); })
    .add("ListItem loading", function () { return (jsx(List, null,
    jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Ben McMahen", secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
    jsx(ListItem, { contentBefore: jsx(Avatar, { name: "Ben McMahen", src: faker.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    jsx(ListItem, { interactive: false, "aria-live": "polite", "aria-busy": "true", primary: jsx(Skeleton, { css: { width: "100px" } }), secondary: jsx(Skeleton, null), contentBefore: jsx(Skeleton, { css: { width: "3.27rem", height: "3.27rem", borderRadius: "50%" } }) }))); });
