/** @jsx jsx */
import { jsx } from "@emotion/core";
import { storiesOf } from "@storybook/react";
import * as faker from "faker";
import { useTheme } from "../Theme/Providers";
import * as React from "react";
import { Stack, StackTitle, StackItem } from "../index";
import { ScrollView } from "../ScrollView";
import { List, ListItem } from "../List";
import { IconChevronRight, IconPlus } from "../Icons";
import { IconButton } from "../IconButton";
import { Avatar } from "../Avatar";
function getUser() {
    faker.seed(0);
    return {
        name: faker.name.firstName() + " " + faker.name.lastName(),
        uid: faker.random.uuid(),
        description: faker.lorem.sentence()
    };
}
function ListDetail() {
    var theme = useTheme();
    var _a = React.useState(0), index = _a[0], setIndex = _a[1];
    var _b = React.useState(Array.from(new Array(10)).map(function () { return getUser(); })), items = _b[0], setItems = _b[1];
    function next() {
        setIndex(index + 1);
    }
    function onChange(i) {
        setIndex(i);
    }
    return (jsx("div", { style: {
            display: "flex",
            justifyContent: "center",
            padding: "2rem"
        } },
        jsx("div", { style: {
                border: "1px solid " + theme.colors.border.default,
                height: "500px",
                width: "400px",
                overflow: "hidden"
            } },
            jsx(Stack, { navHeight: 60, style: {
                    height: "100%",
                    width: "100%"
                }, items: [
                    {
                        title: jsx(StackTitle, { title: "Contacts" }),
                        content: (jsx(StackItem, null,
                            jsx(ScrollView, { css: { flex: 1 }, overflowY: true },
                                jsx(List, null,
                                    jsx(ListItem, { onPress: function () { return setIndex(index + 1); }, primary: "All", contentAfter: jsx(IconChevronRight, { color: theme.colors.text.muted }) }),
                                    jsx(ListItem, { onPress: function () { return setIndex(index + 1); }, primary: "Family", contentAfter: jsx(IconChevronRight, { color: theme.colors.text.muted }) }),
                                    jsx(ListItem, { onPress: function () { return setIndex(index + 1); }, primary: "Friends", contentAfter: jsx(IconChevronRight, { color: theme.colors.text.muted }) })))))
                    },
                    {
                        title: (jsx(StackTitle, { title: "Family", contentAfter: jsx(IconButton, { variant: "ghost", label: "Add", icon: jsx(IconPlus, null) }) })),
                        content: (jsx(StackItem, null,
                            jsx("div", { style: {
                                    flexDirection: "column",
                                    display: "flex",
                                    height: "100%"
                                } },
                                jsx(ScrollView, { css: { flex: 1, height: "100%" }, overflowY: true },
                                    jsx(List, null, items.map(function (item) { return (jsx(ListItem, { key: item.uid, onPress: function () { return setIndex(index + 1); }, contentBefore: jsx(Avatar, { name: item.name }), primary: item.name, secondary: item.description, contentAfter: jsx(IconChevronRight, { color: theme.colors.text.muted }) })); }))))))
                    },
                    {
                        title: jsx(StackTitle, { title: "I'm in a tree!" }),
                        content: (jsx(StackItem, null,
                            jsx("div", { style: {
                                    flexDirection: "column",
                                    display: "flex",
                                    height: "100%",
                                    backgroundImage: "url(https://images.unsplash.com/photo-1562519776-b232435b73c1?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80)",
                                    backgroundSize: "cover"
                                } })))
                    }
                ], onIndexChange: onChange, index: index }))));
}
export var ThemeExamples = storiesOf("Stack", module)
    .add("Drilldown nav", function () { return jsx(ListDetail, null); })
    .add("Without header", function () { return jsx(WithoutHeader, null); });
function WithoutHeader() {
    var _a = React.useState(0), index = _a[0], setIndex = _a[1];
    return (jsx(Stack, { index: index, disableNav: true, css: { height: "400px", width: "400px" }, items: [
            {
                title: null,
                content: (jsx(StackItem, { onClick: function () { return setIndex(index + 1); }, css: {
                        backgroundImage: "url(https://images.unsplash.com/photo-1556909114-44e3e70034e2?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1950&q=80)",
                        backgroundSize: "cover"
                    } }))
            },
            {
                title: null,
                content: (jsx(StackItem, { css: {
                        backgroundImage: "url(https://images.unsplash.com/photo-1558980664-10e7170b5df9?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1951&q=80)",
                        backgroundSize: "cover"
                    } }))
            },
            {
                title: null,
                content: (jsx(StackItem, { css: {
                        backgroundImage: "url(https://images.unsplash.com/photo-1562619398-e7a474328df3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1950&q=80)",
                        backgroundSize: "cover"
                    } }))
            }
        ], onIndexChange: function (i) { return setIndex(i); } }));
}
