/** @jsx jsx */
import { jsx, Global } from "@emotion/core";
import * as React from "react";
import { Tabs, Tab, TabPanel, TabIcon } from "../Tabs";
import theme from "../Theme";
import { Text } from "../Text";
import { Container } from "../Container";
import { storiesOf } from "@storybook/react";
import { Layer } from "../Layer";
import { Button } from "../Button";
import { DarkMode, useTheme, LightMode } from "../Theme/Providers";
import { IconActivity, IconAlertCircle, IconAlignLeft, IconArrowRight, IconArrowLeft, IconSettings, IconUser, IconPackage, IconMapPin, IconArrowUp } from "../Icons";
import { Pager } from "../Pager";
import { ExampleList } from "./List.stories";
import { IconButton } from "../IconButton";
import { ResponsivePopover } from "../Popover";
import { MenuList, MenuItem, MenuDivider } from "../Menu";
var Example = function () {
    var _a = React.useState(0), value = _a[0], setValue = _a[1];
    var theme = useTheme();
    return (jsx("div", { css: {
            maxWidth: "100vw",
            background: theme.colors.background.tint1
        } },
        jsx(Tabs, { value: value, onChange: function (i) { return setValue(i); } },
            jsx(Tab, { id: "course" }, "Course events"),
            jsx(Tab, { id: "settings" }, "Settings"),
            jsx(Tab, { id: "templates" }, "Templates"),
            jsx(Tab, { id: "courses" }, "Courses"),
            jsx(Tab, { id: "members" }, "Team members"))));
};
export var TabsExamples = storiesOf("Tabs", module)
    .add("Basic usage", function () { return jsx(Example, null); })
    .add("Evenly spaced", function () {
    return jsx(ParentSwipe, null);
})
    .add("Icons", function () {
    return jsx(IconExample, null);
});
function IconExample() {
    var _a = React.useState(0), value = _a[0], setValue = _a[1];
    var theme = useTheme();
    return (jsx("div", { css: {
            display: "flex",
            justifyContent: "center",
            background: theme.colors.background.tint2,
            padding: "0.5rem"
        } },
        jsx(Layer, { elevation: "sm", css: {
                maxWidth: "400px",
                maxHeight: "500px",
                width: "100%",
                display: "block",
                boxSizing: "border-box",
                overflow: "hidden"
            } },
            jsx("div", { css: {
                    background: theme.colors.background.tint1,
                    boxSizing: "border-box",
                    width: "100%",
                    overflow: "hidden",
                    display: "flex",
                    flexDirection: "column",
                    height: "200px"
                } },
                jsx("div", { css: {
                        flex: 1
                    } }),
                jsx("div", null,
                    jsx(Tabs, { variant: "evenly-spaced", slider: false, css: { background: theme.colors.background.default }, value: value, onChange: function (i) { return setValue(i); } },
                        jsx(Tab, { id: "hello" },
                            jsx(TabIcon, { icon: jsx(IconActivity, null), label: "Chat" })),
                        jsx(Tab, { id: "cool" },
                            jsx(TabIcon, { icon: jsx(IconAlertCircle, null), label: "Annotation" })),
                        jsx(Tab, { id: "tables" },
                            jsx(TabIcon, { icon: jsx(IconAlignLeft, null), label: "Application" })),
                        jsx(Tab, { id: "players" },
                            jsx(TabIcon, { icon: jsx(IconActivity, null), label: "Build" })),
                        jsx(Tab, { id: "dsf" },
                            jsx(TabIcon, { icon: jsx(IconActivity, null), label: "Chart" }))))))));
}
function EvenlySpaced(_a) {
    var onRequestParentChange = _a.onRequestParentChange, onRequestChange = _a.onRequestChange, value = _a.value, onTerminationRequest = _a.onTerminationRequest;
    return (jsx(Layer, { elevation: "sm", css: {
            background: "white",
            width: "100%",
            display: "block",
            borderRadius: 0,
            boxSizing: "border-box",
            overflow: "hidden"
        } },
        jsx("div", { css: {
                boxSizing: "border-box",
                width: "100%",
                overflow: "hidden"
            } },
            jsx(DarkMode, null,
                jsx("div", { css: {
                        position: "relative",
                        zIndex: theme.zIndices.sticky,
                        background: theme.colors.palette.blue.base
                    } },
                    jsx(Container, { css: {
                            justifyContent: "space-between",
                            display: "flex",
                            alignItems: "center"
                        } },
                        jsx(IconButton, { variant: "ghost", icon: jsx(IconArrowLeft, null), onPress: function () { return onRequestParentChange(0); }, label: "Go back" }),
                        jsx(Text, { variant: "h5", gutter: false, css: {
                                textAlign: "center",
                                padding: theme.spaces.md
                            } }, "Messenger"),
                        jsx(LightMode, null,
                            jsx(ResponsivePopover, { content: jsx(MenuList, null,
                                    jsx(MenuItem, { contentBefore: jsx(IconUser, null), onSelect: function () { return alert("Hello 1"); } }, "Drink coffee"),
                                    jsx(MenuItem, { contentBefore: jsx(IconPackage, null) }, "Eat pancakes"),
                                    jsx(MenuDivider, null),
                                    jsx(MenuItem, { contentBefore: jsx(IconMapPin, null) }, "Make pizza"),
                                    jsx(MenuItem, { contentBefore: jsx(IconActivity, null) }, "Dance my heart out"),
                                    jsx(MenuItem, { contentBefore: jsx(IconArrowUp, null) }, "Anything you ask")) },
                                jsx(DarkMode, null,
                                    jsx(IconButton, { variant: "ghost", icon: jsx(IconSettings, null), label: "Show settings" }))))),
                    jsx(Tabs, { value: value, onChange: onRequestChange },
                        jsx(Tab, { id: "hello" }, "Contacts"),
                        jsx(Tab, { id: "cool" }, "Inbox"),
                        jsx(Tab, { id: "tables" }, "Notifications"),
                        jsx(Tab, { id: "players" }, "Settings"),
                        jsx(Tab, { id: "groups" }, "Groups"),
                        jsx(Tab, { id: "family" }, "Family")))),
            jsx(Pager, { css: { maxHeight: "500px" }, value: value, onTerminationRequest: onTerminationRequest, onRequestChange: onRequestChange },
                jsx(TabPanel, { id: "hello", css: { flex: 1 } },
                    jsx(ExampleList, null)),
                jsx(TabPanel, { id: "cool", css: { flex: 1, padding: "24px" } }, "Inbox content"),
                jsx(TabPanel, { id: "tables", css: { flex: 1, padding: "24px" } }, "Notification list"),
                jsx(TabPanel, { id: "players", css: { flex: 1, padding: "24px" } }, "Settings tab content"),
                jsx(TabPanel, { id: "groups", css: { flex: 1, padding: "24px" } }, "Settings tab content"),
                jsx(TabPanel, { id: "family", css: { flex: 1, padding: "24px" } }, "Settings tab content")))));
}
function ParentSwipe() {
    var _a;
    var _b = React.useState(0), parentIndex = _b[0], setParentIndex = _b[1];
    var _c = React.useState(0), childIndex = _c[0], setChildIndex = _c[1];
    function onParentTerminationRequest(_a) {
        var delta = _a.delta;
        if (childIndex !== 0) {
            return true;
        }
        var x = delta[0];
        if (x < 0) {
            return true;
        }
        return false;
    }
    function onChildTerminationRequest(_a) {
        var delta = _a.delta;
        if (childIndex > 0) {
            return false;
        }
        var x = delta[0];
        if (x < 0) {
            return false;
        }
        return true;
    }
    return (jsx("div", { css: {
            display: "flex",
            justifyContent: "center",
            background: theme.colors.background.tint2
        } },
        jsx(Global, { styles: {
                body: {
                    background: theme.colors.background.tint2
                }
            } }),
        jsx("div", { css: (_a = {
                    borderRadius: 0,
                    maxWidth: "100vw",
                    overflow: "hidden"
                },
                _a[theme.mediaQueries.sm] = {
                    maxWidth: "450px",
                    borderRadius: theme.radii.lg
                },
                _a) },
            jsx(Pager, { onTerminationRequest: onParentTerminationRequest, value: parentIndex, onRequestChange: function (i) { return setParentIndex(i); } },
                jsx("div", { css: {
                        background: theme.colors.palette.green.base,
                        flex: 1,
                        display: "flex",
                        justifyContent: "center",
                        alignItems: "center"
                    } },
                    jsx(DarkMode, null,
                        jsx(Text, { css: {
                                display: "flex",
                                height: "300px",
                                alignItems: "center"
                            } },
                            jsx(Button, { variant: "ghost", onPress: function () { return setParentIndex(1); }, iconAfter: jsx(IconArrowRight, null) }, "View next")))),
                jsx(EvenlySpaced, { value: childIndex, onRequestParentChange: function (i) { return setParentIndex(i); }, onRequestChange: function (i) { return setChildIndex(i); }, onTerminationRequest: onChildTerminationRequest })))));
}
