/** @jsx jsx */
import { jsx, Global } from "@emotion/core";
import * as React from "react";
import { Button } from "../Button";
import { DarkMode, LightMode } from "../Theme/Providers";
import { Toolbar } from "../Toolbar";
export var ToggleDarkMode = function (_a) {
    var children = _a.children;
    var _b = React.useState("light"), mode = _b[0], setMode = _b[1];
    var Component = mode === "dark" ? DarkMode : LightMode;
    return (jsx(Component, null, function (theme) { return (jsx("div", null,
        jsx(Global, { styles: {
                body: {
                    margin: 0,
                    padding: 0,
                    background: theme.colors.background.default
                }
            } }),
        jsx(Toolbar, { css: {
                borderBottom: "1px solid",
                borderColor: theme.colors.border.default
            } },
            jsx(Button, { onClick: function () { return setMode(mode === "light" ? "dark" : "light"); } }, "Toggle Mode")),
        jsx("div", { css: {
                background: mode === "dark"
                    ? theme.modes.dark.palette.gray.dark
                    : theme.modes.light.background.default
            } }, children))); }));
};
