import * as tslib_1 from "tslib";
/** @jsx jsx */
import { jsx } from "@emotion/core";
import * as React from "react";
import { Button } from "../Button";
import { storiesOf } from "@storybook/react";
import { Touchable } from "../Touchable";
import { useTouchable } from "touchable-hook";
import { Sheet } from "../Sheet";
function TouchableHighlight() {
    var _a = React.useState(0), pressCount = _a[0], setPressCount = _a[1];
    function onPress() {
        console.log("Pressed!");
        setPressCount(pressCount + 1);
    }
    var _b = useTouchable({
        onPress: onPress,
        behavior: "link"
    }), bind = _b.bind, active = _b.active, hover = _b.hover;
    return (jsx("div", null,
        pressCount,
        jsx("div", tslib_1.__assign({ role: "button", tabIndex: 0 }, bind, { css: {
                border: hover ? "1px solid black" : "1px solid transparent",
                userSelect: "none",
                outline: "none",
                background: active ? "#08e" : "transparent"
            } }), "This is a touchable highlight")));
}
export var TouchableStories = storiesOf("Touchable", module)
    .add("basic", function () {
    return (jsx("div", { css: { padding: "100px" } },
        jsx(TouchableHighlight, null),
        jsx("p", null, "Aute Lorem laboris nostrud culpa eiusmod in ipsum laborum. Minim cupidatat dolore tempor elit irure officia qui. Anim ea dolor excepteur eiusmod incididunt consectetur reprehenderit id. Incididunt tempor reprehenderit laboris eu exercitation voluptate proident nostrud eiusmod. Laborum consectetur culpa Lorem exercitation ut occaecat est proident labore ullamco id mollit. Labore reprehenderit commodo cupidatat mollit nostrud velit. Exercitation veniam consequat commodo aute incididunt anim duis incididunt sint officia veniam. Aliqua tempor ullamco in occaecat ullamco est ea aliqua exercitation amet cillum reprehenderit. Deserunt pariatur duis id dolore ut enim irure enim consectetur amet anim enim et. Elit Lorem veniam sit non magna esse.")));
})
    .add("embedded responders", function () {
    return jsx(SheetExample, null);
})
    .add("Touchable class", function () {
    return (jsx(Touchable, { css: {
            "&.Touchable--hover": {
                background: "#eee"
            },
            "&.Touchable--active": {
                background: "black"
            }
        } }, "Hello"));
});
function SheetExample() {
    var _a = React.useState(false), open = _a[0], setOpen = _a[1];
    return (jsx("div", null,
        jsx(Button, { onPress: function () { return setOpen(true); } }, "open"),
        jsx(Sheet, { position: "left", isOpen: open, onRequestClose: function () { return setOpen(false); } },
            jsx(TouchableHighlight, null))));
}
